Добро пожаловать в EMS SQL Backup for PostgreSQL!

EMS SQL Backup for PostgreSQL — это простой в использовании визуальный инструмент для создания резервных копий для нескольких серверов PostgreSQL из единой консоли. Вы можете создавать автоматизированные задачи резервного копирования на основе расписаний и хранить их в локальных или удаленных папках или облачных хранилищах.

Ключевые особенности

  • Управление созданием резервных копий для всех серверов из единого окна консоли
  • Пошаговый мастер создания резервных копий БД
  • Создание полного бэкапа БД или включение только данных или структуры
  • Встроенное сжатие для уменьшения размера файлов
  • Белый список для фильтрации объектов или схем
  • Поддержка всех версий PostgreSQL сервера, начиная с 7.4 до самой последней
  • Безопасное подключение с помощью SSL
  • Соединение при помощи SSH
  • Поддержка облачных хранилищ: Dropbox, Google Drive
  • Поддержка выгрузки в Amazon S3 и Microsoft Azure
  • Поддержка различных сетевых протоколов для хранения файлов резервных копий: FTP, Windows network folders (CIFS)
  • Защита файлов резервных копий при помощи пароля или алгоритмов шифрования Blowfish и AES
  • Удобный мастер для создания автоматизированных задач резервного копирования
  • Быстрое восстановление БД из истории запусков задач резервного копирования
  • Мониторинг результатов выполнения задач
  • Возможность отправки уведомлений о запуске и завершении задачи
  • Возможность временной отмены последующих запусков задачи

Backup tasks tab

Ознакомиться с программой и узнать, как начать работу вы можете в разделе Начало работы.

Смотрите также:

Начало работы

Часто задаваемые вопросы


Начало работы

Так выглядит окно программы при первом запуске.

Окно программы состоит из двух основных разделов:

Backup tasks Backup tasks (Задачи резервного копирования)

На этой вкладке отображается список зарегистрированных серверов, для которых вы можете выполнять резервное копирование и создавать автоматизированные задачи. Также под информацией о сервере отображается список созданных задач по расписанию, их статус и возможность приостановки или отмены выполнения.

Backup targets Backup storages (Резервные хранилища)

В этом разделе хранятся все зарегистрированные подключения к хранилищам резервных копий. Вы можете зарегстрировать новое хранилище, управлять уже созданными, а также просматривать список уже созданных бэкапов. Мы рекомендуем регистрировать резервные хранилища до того, как создавать автоматические задачи.

menu Options

В этом меню вы можете настроить цветовую схему программы, изменить язык приложения, управлять лицензиями и проверять наличие обновлений.

Как начать работу с программой

1. Зарегистрируйте сервера при помощи ссылки Register server ... на левой панели.

2. В разделе Backup targets Backup storages (Резервные хранилища) создайте резервные хранилища, которые будут использоваться для хранения резервных файлов.

3. В контекстном меню сервера создайте новую задачу по расписанию или выполните резервное копирование.

Смотрите также:

Часто задаваемые вопросы

Мастер регистрации сервера


Новости

Версия программы | Дата выпуска
EMS SQL Backup for PostgreSQL 1.7 | 26 декабря 2022

  • Добавлена поддержка PostgreSQL 15.
  • Менялся регистр имени БД при восстановлении в новую базу данных. Исправлено.
  • Исправлена ошибка при восстановлении из сжатой резервной копии.
  • Другие исправления и улучшения.

Смотрите также:

История версий


Системные требования

  • Microsoft Windows Server 2008 R2 SP1, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows 7 SP1, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11
  • CPU: x86 or x86-64 processor
  • Сервер PostgreSQL версии 7.4 и выше
  • 1024 Мб ОЗУ
  • 50 Мб свободного пространства на жестком диске для установки программы.


Таблица характеристик

Полная сравнительная таблица характеристик различных версий программы EMS SQL Backup for PostgreSQL представлена ниже.

Характеристики | PRO | Standard | FREE
Впечатляющие возможности для создания резервных копий БД
Управление созданием резервных копий для всех серверов из единого окна консоли | + | + | +
Пошаговый мастер создания резервных копий БД | + | + | +
Создание полного бэкапа БД или включение только данных или структуры | + | + | +
Встроенное сжатие для уменьшения размера файлов | + | + | +
Черный список для исключения объектов из резервной копии БД | + | + | +
Белый список для фильтрации объектов или схем | + | + | +
Автоматизация задач по созданию резервных копий БД | + | + | +
Выполнение быстрого бэкапа с заранее заданными опциями | + | + | +
Создание бэкапа с использованием нескольких процессов | + | + | +
Быстрое восстановление БД из истории запусков задач резервного копирования | + | + | +
Восстановление с помощью мастера Восстановления баз данных | + | + | -
Защита архивов файлов резервных копий с помощью пароля | + | + | +
Шифрование файлов резервных копий алгоритмом Blowfish | + | + | -
Шифрование файлов резервных копий с помощью алгоритма AES | + | - | -
Мгновенное сжатие всех файлов резервных копий | + | + | +
Управление базами данных PostgreSQL
Поддержка всех версий PostgreSQL сервера, начиная с 7.4 до самой последней | + | + | +
Безопасное подключение с помощью SSL | + | + | +
Подключение через SSH | + | + | -
Количество баз данных для автоматизированных задач | неограниченно | неограниченно | 3
Управление созданием резервных копий для множества серверов | + | + | +
Поддержка различных типов хранилищ
Поддержка облачных хранилищ: Dropbox, Google Drive | + | + | +
Поддержка выгрузки в Amazon S3 и Microsoft Azure | + | - | -
Поддержка различных сетевых протоколов для хранения файлов резервных копий: FTP, Windows network folders (CIFS) | + | + | +
Поддержка хранилища SFTP | + | + | -
Отображение всех созданных файлов для каждого хранилища | + | + | +
Быстрая автоматизация задач по созданию резервных копий БД
Удобный мастер для создания автоматизированных задач для создания резервных копий | + | + | +
Возможность указания более одного расписания для каждой задачи | + | + | +
Переключение между локальным временем консоли и форматом UTC | + | + | +
Отслеживание результатов выполнения
Мониторинг результатов выполнения задач | + | + | +
Возможность отправки уведомлений о запуске и завершении задачи | + | + | +
Возможность временной отмены последующих запусков задачи | + | + | +


Установка

Установка программы EMS SQL Backup for PostgreSQL

  • загрузите полный дистрибутив программы со страницы загрузки;
  • загруженный файл извлеките из архива в нужную директорию (например, c:\unzipped);
  • запустите файл EMSPgBackup-1.x.x.xxxx.msi и следуйте инструкциям мастера установки.

NOTE: Существют два режима установки EMS SQL Backup for PostgreSQL: Typical и Custom. При выборе режима Custom у вас есть возможность выбора папки для установки программы и возможность загрузки локализационных файлов.

После завершения процесса установки ярлык программы будет доступен в меню Пуск --> Программы --> EMS.

Обновление программы

  • проверить наличие обновлений можно при помощи пункта Проверка обновлений (Check for updates) в списке menu в правом верхнем углу;
  • загрузите полный дистрибутив программы со страницы загрузки;
  • закройте приложение EMS SQL Backup for PostgreSQL, если оно запущено;
  • следуйте шагам мастера установки (см. пункт Установка программы).

Смотрите также:

Часто задаваемые вопросы


Покупка

Чтобы упростить процесс приобретения наших продуктов, мы заключили контракт с Интернет-регистратором Digital River. Процедура совершения покупки через них защищена безопасным соединением и делает процесс оплаты быстрым и безопасным.

Если Вы заказали программное обеспечение компании EMS в Интернете и хотели бы посмотреть информацию о Вашем заказе, или же если у Вас возникли вопросы, касающиеся приобретения наших продуктов, оплаты или процедуры доставки, пожалуйста, обратитесь в техническую поддержку Digital River.

Пожалуйста, учтите, что все наши программные продукты доставляются только электронными средствами (Electronic Software Delivery). Сделав заказ, Вы сможете немедленно скачать регистрационные ключи или пароли и ссылки на архивы полных версий программ. Также Вы получите копию регистрационных ключей или паролей по электронной почте.

Если при оформлении Вы не получили регистрационный ключ в течение двух часов, обратитесь в службу поддержки по этому адресу sales@sqlmanager.net.

Если Вы являетесь зарегистрированным пользователем, то при возникновении проблем или вопросов при использовании нашего программного обеспечения обращайтесь в службу поддержки.

Описание продукта | MyCommerce/Digital River
EMS SQL Backup for PostgreSQL (Business Regular license) + 1 год Сопровождения | Купить!
EMS SQL Backup for PostgreSQL (Business Regular license) + 2 года Сопровождения |
EMS SQL Backup for PostgreSQL (Business Regular license) + 3 года Сопровождения |
EMS SQL Backup for PostgreSQL (Business Pro license) + 1 год Сопровождения |
EMS SQL Backup for PostgreSQL (Business Pro license) + 2 года Сопровождения |
EMS SQL Backup for PostgreSQL (Business Pro license) + 3 года Сопровождения |
EMS SQL Backup for PostgreSQL (Non-commercial Regular license) + 1 год Сопровождения |
EMS SQL Backup for PostgreSQL (Non-commercial Regular license) + 2 года Сопровождения |
EMS SQL Backup for PostgreSQL (Non-commercial Regular license) + 3 года Сопровождения |
EMS SQL Backup for PostgreSQL (Non-commercial Pro license) + 1 год Сопровождения |
EMS SQL Backup for PostgreSQL (Non-commercial Pro license) + 2 года Сопровождения |
EMS SQL Backup for PostgreSQL (Non-commercial Pro license) + 3 года Сопровождения |
EMS SQL Backup for PostgreSQL (Trial/Free version) | Загрузить!

Программа EMS по Сопровождению ПО - это выгодная для клиента комплексная программа, включающая в себя техническую поддержку, обновления ПО и много других преимуществ. Имея действующую подписку на Сопровождение ПО, Вы автоматически получаете последние версии программ EMS сразу после их выпуска без дополнительных затрат. Это позволит Вам и Вашей компании идти в ногу с новейшими разработками в области программного обеспечения, пользоваться улучшенными версиями программ и проще отслеживать имеющиеся у Вас лицензии на ПО. Как участник Программы EMS по Сопровождению ПО, Вы имеете право получать:

  • Техническую поддержку опытных специалистов
  • Консультации по вопросам работы ПО
  • Бесплатные обновления и релизы с улучшениями ПО в течение подписки на Сопровождение ПО
  • Доступ к персональной учетной записи клиента EMS
  • Мгновенное возобновление подписки на Сопровождение ПО в режиме онлайн
  • Эксклюзивные заблаговременные уведомления о специальных предложениях
  • Эксклюзивные предложения ТОЛЬКО для владельцев подписки на Сопровождение ПО

Подробнее об услуге сопровождения вы можете прочитать на странице http://sqlmanager.net/ru/support/faq/maintenance

Смотрите также:

Регистрация

Часто задаваемые вопросы


Регистрация

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Регистрация EMS SQL Backup for PostgreSQL

После того, как вы получили регистрационный ключ, необхоимо активировать лицензию в приложении:

  1. Запустите EMS SQL Backup for PostgreSQL.
  2. Нажмите пункт menu в правом верхнем углу и откройте License management wizard.
  3. Следуйте шагам Мастера.

Чтобы удалить активацию вам необходимо дективровать ее, после чего ее можно будет активировать на другом ПК.

Смотрите также:

Покупка

Первая активация лицензии

Управление текущей лицензией


История версий

Продукт | Версия | Дата выпуска
EMS SQL Backup for PostgreSQL | Версия 1.6 | 29 апреля 2022
EMS SQL Backup for PostgreSQL | Версия 1.5 | 27 мая 2021
EMS SQL Backup for PostgreSQL | Версия 1.4 | 3 июня 2020
EMS SQL Backup for PostgreSQL | Версия 1.3 | 16 декабря 2019
EMS SQL Backup for PostgreSQL | Версия 1.2 | 30 сентября 2019
EMS SQL Backup for PostgreSQL | Версия 1.1 | 15 июля 2019
EMS SQL Backup for PostgreSQL | Версия 1.0 | 19 февраля 2019

Версия 1.6

  • Добавлен Мастер восстановления резервных копий.
  • Регистрация нового хранилища доступна теперь на шагах и вкладках выбора хранилища.
  • Добавлена поддержка сервера PostgreSQL 14 версии.
  • Реализовано дополнительное управление множественным выбором хранилищ для загрузки резервной копии.
  • Реализовано ограничение на запуск нескольких экземпляров приложения для стабильной работы.
  • Исправлена ошибка, которая приводила к аварийному закрытию приложения, запущенного на удаленном рабочем столе при длительном простое.
  • Другие изменения, исправления ошибок и улучшения.

Версия 1.5

  • В задачи резервного копирования добавлены тэги для более удобного формирования имени файла.
  • Добавлена возможность защиты файла резервной копии при выгрузке в хранилище резервных копий:

- защищенный паролем zip-архив (для всех типов лицензий);

- с помощью шифрования по алгоритму Blowfish (для стандартной и профессиональной лицензий);

- с помощью шифрования по алгоритму AES (для профессиональной лицензии).

  • Добавлена возможность дополнительного сжатия защищенных резервных копий.
  • Для подключений с использованием SSH добавлена поддержка ключей Ed25519.
  • Добавлена поддержка 13 версии сервера PostgreSQL.
  • Оптимизация работы программы и исправление других небольших ошибок.

Версия 1.4

  • Значительно ускорен процесс создания резервных копий.
  • Реализовано автоматическое получение списка контейнеров в Azure.
  • Реализована отправка уведомлений при потере соединения с сервером.
  • Реализованы стратегии очистки истории запусков задач: по интервалу времени и по количеству записей.
  • При очистке истории запусков теперь автоматически удаляются соответствующие резервные копии.
  • Добавлены возможности фильтрации, поиска и копирования выделенных записей в журнале.
  • Множество других исправлений и улучшений.

Версия 1.3

  • Поддержка сервера PostgreSQL версии 12.
  • Возможность быстрого восстановления БД к состоянию, сохраненному в резервных копиях истории запусков.
  • Возможность быстрого получения резервных копий для определенного запуска задачи из истории запусков.
  • Добавлена возможность указать имя базы данных, к которой будет выполняться соединение при подключении к серверу.
  • Повышено быстродействие и стабильность приложения.
  • Исправлены другие небольшие недочеты.

Версия 1.2

  • Добавлена возможность подключения к серверу через SSH туннель.
  • Добавлена история запусков задач резервного копирования с просмотром журнала операции.
  • Теперь возможно отображение описания БД при наведении курсора.
  • Повышены быстродействие и стабильность приложения.
  • Другие небольшие исправления.

Версия 1.1

  • Добавлена выгрузка файла резервной копии в форме каталога.
  • Добавлены уведомления о начале и окончании выполнения задачи резервного копирования по электронной почте или в виде экранных уведомлений.
  • Добавлена возможность выбора нескольких баз данных для выполнения операции создания быстрой резервной копии.
  • Добавлена панель статуса хранилища резервных копий.
  • Реализована возможность скачивания и удаления из хранилища файлов резервных копий.
  • Задачу резервного копирования теперь можно запустить на выполнение вручную прямо из списка задач.
  • Для процедуры скачивания файла резервной копии теперь доступны экранные уведомления об окончании выполнения.
  • Добавлена поддержка французского и немецкого языка.
  • Множество других изменений и улучшений, направленных на повышение производительности и удобства использования приложения.

Версия 1.0 (первый выпуск программы)

Основные функции

  • Управление созданием резервных копий для всех серверов из единого окна консоли
  • Пошаговый мастер создания резервных копий БД
  • Создание полного бэкапа БД или включение только данных или структуры
  • Встроенное сжатие для уменьшения размера файлов
  • Белый список для фильтрации объектов или схем
  • Поддержка всех версий PostgreSQL сервера, начиная с 7.4 до самой последней
  • Безопасное подключение с помощью SSL
  • Поддержка облачных хранилищ: Dropbox, Google Drive
  • Поддержка выгрузки в Amazon S3 и Microsoft Azure
  • Поддержка различных сетевых протоколов для хранения файлов резервных копий: FTP, Windows network folders (CIFS)
  • Удобный мастер для создания автоматизированных задач резервного копирования
  • Мониторинг результатов выполнения задач
  • Возможность временной отмены последующих запусков задачи

и многое другое ...

Наверх

Смотрите также:

Новости


Часто задаваемые вопросы

Пожалуйста, прочитайте внимательно эту страницу, если у Вас есть вопросы о EMS SQL Backup for PostgreSQL.

  • Какие версии PostgreSQL серверов поддерживает EMS SQL Backup for PostgreSQL?
  • Необходимо ли устанавливать EMS SQL Backup for PostgreSQL на каждый сервер, с которым я собираюсь работать?
  • Должны ли все сервера, с которыми я собираюсь работать в EMS SQL Backup for PostgreSQL, быть расположены в локальной сети?
  • Может ли EMS SQL Backup for PostgreSQL сжимать файлы резервных копий БД?
  • Могу ли я восстановить резервную копию в EMS SQL Backup for PostgreSQL?
  • Возможно ли сделать резервную копию только структуры БД?
  • Могу ли я фильтровать объекты БД и исключать из при создании резервной копии?
  • Мои сервера расположены в различных временных поясах. В какое время будут запускаться запланированные задачи?
  • Возможно ли задать каждой задаче собственное время выполнения?
  • Можно ли запустить быстрое создание резервной копии БД без запуска мастера?
  • Могу ли я поместить резервную копию БД сразу в несколько мест хранения?
  • Где отображается список созданных резервных копий?
  • Отображаются ли в программе файлы резервных копий, созданные сторонними программами?
  • Могу ли я задать хранилища для конкретного сервера, в которые будут создаваться резервные копии по умолчанию?
  • Где я могу отслеживать выполнение задач?
  • В чем отличия между различными редакциями EMS SQL Backup for PostgreSQL?
  • Я могу не платить за обслуживание программы?

Вопросы и ответы

В: Какие версии PostgreSQL серверов поддерживает EMS SQL Backup for PostgreSQL?

О: EMS SQL Backup for PostgreSQL работает со всеми серверами, начиная с версии 7.4 и до последней версии включительно.

В: Необходимо ли устанавливать EMS SQL Backup for PostgreSQL на каждый сервер, с которым я собираюсь работать?

О: Нет, вам необходимо установить приложение на одну машину, с которой вы планируете управлять созданием резервных копий БД. Вы можете зарегистрировать в ней все сервера и управлять ими из одной консоли.

В: Должны ли все сервера, с которыми я собираюсь работать в EMS SQL Backup for PostgreSQL, быть расположены в локальной сети?

О: Сервера могут располагаться в любом месте — и локально, и удаленно.

В: Может ли EMS SQL Backup for PostgreSQL сжимать файлы резервных копий БД?

О: Да, сжатие файлов бэкапа возможно для резервных копий типа SQL и GZIP.

В: Могу ли я восстановить резервную копию в EMS SQL Backup for PostgreSQL?

О: Да, можно использовать Быстрое восстановление или Мастер восстановления БД с расшренными настройками для восстановления выбранных баз данных.

В: Возможно ли сделать резервную копию только структуры БД?

О: В мастере создания резервной копии БД вы можете выбрать или только данные, или структуру, или всю базу целиком.

В: Могу ли я фильтровать объекты БД и исключать их при создании резервной копии?

О: Да, вы можете фильтровать объекты по имени схемы или имени объекта, а также использовать шаблоны подстановки. Также вы можете добавить объекты в черный список.

В: Мои сервера расположены в различных временных поясах. В какое время будут запускаться запланированные задачи?

О: По умолчанию все задачи создаются по локальному времени утилиты, но вы можете легко заменить их на формат UTC с помощью соответствующей опции для расписаний. В этом случае задачи автоматизированного создания резервных копий БД будут выполняться по унифицированному времени UTC.

В: Возможно ли задать каждой задаче собственное время выполнения?

О: Конечно, для каждой задачи задается собственное расписание. Вы также можете задать несколько расписаний для одной задачи.

В: Можно ли запустить быстрое создание резервной копии БД без запуска мастера?

О: Да, для этого необходимо выбрать БД в дереве объектов и нажать кнопку Quick backup на окне информации о сервере. В итоге будет создана резервная копия выбранной БД в папке, заданной по умолчанию для этого сервера.

В: Могу ли я поместить резервную копию БД сразу в несколько мест хранения?

О: Да, вы можете задать несколько хранилищ резервного копирования и файлы будут размещены в каждое из них.

В: Где отображается список созданных резервных копий?

О: Список созданных резервных копий отображается на вкладке Резервных хранилищ для каждого выбранного хранилища.

В: Отображаются ли в программе файлы резервных копий, созданные сторонними программами?

О: В списке отображаются только файлы с расширением BACKUP, созданные нашей программой. Файлы с другим расширением не будут отображаться в списках.

В: Могу ли я задать хранилища для конкретного сервера, в которые будут создаваться резервные копии по умолчанию?

О: Вам необходимо указать хранилище для каждого сервера в окне Регистрационной информации. Это хранилище будет использоваться для выполнения быстрого создания резервных копий.

В: Где я могу отслеживать выполнение задач?

О: Вы можете отслеживать выполнение задач, их статус и информацию о запусках на главной странице программы, а также настроить экранные уведомления или получение информации на электронную почту.

В: В чем отличия между различными редакциями EMS SQL Backup for PostgreSQL?

О: Вы можете ознакомиться со списком отличий в Таблице характеристик.

В: Я могу не платить за обслуживание программы?

О: В базовую цену EMS SQL Backup for PostgreSQL включен 1 год Сопровождения. После окончания периода Сопровождения Вы можете продолжить работать с программой без каких-либо ограничений, однако, обновления программы, вышедшие после даты окончания периода Сопровождения, будут Вам недоступны.

Наверх

Если у Вас возникли какие-либо вопросы, свяжитесь с нашим Центром поддержки.


Сопутствующие продукты

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for MySQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for MySQL EMS SQL Manager for MySQL – это мощный графический инструмент для разработки и администрирования серверов баз данных MySQL. Простой и удобный графический интерфейс позволяет быстро и просто создавать и редактировать объекты баз данных MySQL, визуально проектировать сами базы данных, выполнять сценарии MySQL и использовать другие службы, которые сделают Вашу работу с MySQL приятной и легкой.
dataexport | Data Export for MySQL EMS Data Export for MySQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных MySQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for MySQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for MySQL EMS Data Import for MySQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных MySQL.
datapump | Data Pump for MySQL EMS Data Pump™ for MySQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных MySQL®. Теперь перенос данных при помощи Data Pump for MySQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for MySQL EMS Data Generator for MySQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных MySQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом
dbcomparer | DB Comparer for MySQL EMS DB Comparer™ for MySQL – это мощное приложение, предназначенное для сравнения баз данных MySQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for MySQL EMS DB Extract™ for MySQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for MySQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for MySQL EMS SQL Query for MySQL - это утилита для быстрого и простого построения SQL запросов к базам данных MySQL®. Используйте визуальное построение запросов вкупе с непосредственным редактированием текста запросов. Простой и удобный графический интерфейс позволяет соединяться с базами данных, выбирать таблицы и поля запроса, устанавливать критерии отбора и группировки и многое другое.
datacomparer | Data Comparer for MySQL EMS Data Comparer™ for MySQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for MySQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Microsoft SQL Server

 | SQL Management Studio for SQL Server SQL Management Studio - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for SQL Server объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for SQL Server EMS SQL Backup for SQL Server - это простой в использовании и одновременно мощный инструмент для выполнения задач резервного копирования и восстановления на всем множестве SQL серверов Вашего предприятия. EMS SQL Backup может выполнять и другие задачи по регулярному обслуживанию SQL сервера, такие как обновление статистики, реиндексация, усечение БД, проверка целостности БД и др.
sqladmin | SQL Administrator for SQL Server EMS SQL Administrator for SQL Server - это набор инструментов для эффективного администрирования SQL Server. Продукт содержит почти полный набор средств, необходимых для администрирования SQL Server. Программа предназначена для работы администраторов баз данных и позволяет выполнять задачи по администрированию максимально просто, быстро и эффективно.
 | SQL Manager for SQL Server EMS SQL Manager for SQL Server – это мощный инструмент для разработки и администрирования Microsoft SQL Server и MSDE. При помощи EMS SQL Manager for SQL Server Вы можете быстро и очень просто создавать и редактировать объекты баз данных, запускать сценарии SQL, управлять настройками пользователей, создавать визуальные SQL-запросы, а также эффективно работать с метаданными и выполнять многое другое.
dataexport | Data Export for SQL Server EMS Data Export for SQL Server – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Microsoft SQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for SQL Server располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for SQL Server EMS Data Import for SQL Server - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных SQL Server.
datapump | Data Pump for SQL Server EMS Data Pump™ for SQL Server – это мощное приложение для переноса баз данных и импортирования таблиц из любых ADO-совместимых источников (например, MS Access или любая другая ADO-совместимая база данных) в базы данных Microsoft™ SQL. Теперь перенос данных при помощи Data Pump for SQL Server стал настолько прост, насколько это возможно!
datagenerator | Data Generator for SQL Server EMS Data Generator™ for SQL Server – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for SQL Server EMS DB Comparer™ for SQL Server – это мощное приложение, предназначенное для сравнения баз данных Microsoft® SQL, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for SQL Server EMS DB Extract™ for SQL Server – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for SQL Server позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for SQL Server EMS SQL Query™ for SQL Server – это специализированная утилита для простого и быстрого создания запросов к базам данных Microsoft® SQL. SQL Query™ for SQL Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for SQL Server EMS Data Comparer™ for SQL Server – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for SQL Server Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматически сравниваемый сценарий для их устранения.
 | Наверх

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for PostgreSQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for PostgreSQL EMS SQL Backup for PostgreSQL — это простой в использовании визуальный инструмент для создания резервных копий для нескольких серверов PostgreSQL из единой консоли. Вы можете создавать автоматизированные задачи резервного копирования на основе расписаний и хранить их в локальных или удаленных папках или облачных хранилищах.
 | SQL Manager for PostgreSQL EMS PostgreSQL Manager™ – это мощный графический инструмент для разработки и администрирования серверов баз данных PostgreSQL. PostgreSQL Manager позволяет быстро и легко создавать и редактировать объекты баз данных PostgreSQL, выполнять сценарии SQL, визуально проектировать базы данных, создавать запросы SQL, искать, извлекать и распечатывать метаданные, а также многое другое.
dataexport | Data Export for PostgreSQL EMS Data Export for PostgreSQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных PostgreSQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for PostgreSQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for PostgreSQL EMS Data Import for PostgreSQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных PostgreSQL.
datapump | Data Pump for PostgreSQL EMS Data Pump™ for PostgreSQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных PostgreSQL®. Теперь перенос данных при помощи Data Pump for PostgreSQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for PostgreSQL EMS Data Generator™ for PostgreSQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for PostgreSQL EMS DB Comparer™ for PostgreSQL – это мощное приложение, предназначенное для сравнения баз данных PostgreSQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for PostgreSQL EMS DB Extract™ for PostgreSQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for PostgreSQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for PostgreSQL EMS SQL Query™ for PostgreSQL – это специализированная утилита для простого и быстрого создания запросов к базам данных PostgreSQL®. SQL Query for PostgreSQL позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for PostgreSQL EMS Data Comparer™ for PostgreSQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for PostgreSQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for InterBase/Firebird EMS SQL Manager™ for InterBase/Firebird – это мощный графический инструмент для разработки и администрирования серверов баз данных InterBase/Firebird®. Простой и понятный интерфейс упрощает работу с объектами базы данных, позволяет управлять данными, создавать запросы SQL. Богатый инструментарий пакета включает в себя такие приложения как Visual Database Designer, Stored Procedure Debugger, Graphical Plan Analyzer. А Export Data и Import Data позволяют быстро выполнять функции импорта/экспорта в большинство популярных офисных форматов.
dataexport | Data Export for InterBase/Firebird EMS Data Export for InterBase/Firebird – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Interbase/Firebird в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for InterBase/Firebird располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for InterBase/Firebird EMS Data Import for InterBase/Firebird - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных InterBase/Firebird.
datapump | Data Pump for InterBase/Firebird EMS Data Pump™ for InterBase/Firebird – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных InterBase/Firebird®. Теперь перенос данных при помощи Data Pump for InterBase/Firebird стал настолько прост, насколько это возможно!
datagenerator | Data Generator for InterBase/Firebird EMS Data Generator™ for InterBase/Firebird – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных InterBase/Firebird ®. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for InterBase/Firebird EMS DB Comparer™ for InterBase/Firebird – это мощное приложение, предназначенное для сравнения баз данных InterBase/Firebird®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий. Полностью настраиваемые параметры сравнения баз данных и другие полезные функции сделают Вашу работу с нашим продуктом максимально комфортной.
extract | DB Extract for InterBase/Firebird EMS DB Extract for InterBase/Firebird – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for InterBase/Firebird позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for InterBase/Firebird EMS SQL Query for InterBase/Firebird™ – это специализированная утилита для простого и быстрого создания запросов к базам данных InterBase/Firebird®. SQL Query for InterBase/Firebird позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for InterBase/Firebird EMS Data Comparer™ for InterBase/Firebird – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for InterBase/Firebird Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for Oracle объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for Oracle EMS SQL Manager™ for Oracle – это мощный графический инструмент для разработки и администрирования серверов баз данных Oracle. Простой и удобный графический интерфейс позволяет быстро и легко создавать и редактировать объекты баз данных Oracle, визуально проектировать сами базы данных, выполнять сценарии Oracle и использовать другие службы, которые сделают Вашу работу с Oracle приятной и легкой.
dataexport | Data Export for Oracle EMS Data Export for Oracle – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Oracle в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for Oracle располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for Oracle EMS Data Import 2007 for Oracle - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных Oracle.
datapump | Data Pump for Oracle EMS Data Pump™ for Oracle – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных Oracle®. Теперь перенос данных при помощи Data Pump for Oracle стал настолько прост, насколько это возможно!
datagenerator | Data Generator for Oracle EMS Data Generator™ for Oracle – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Oracle. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for Oracle EMS DB Comparer for Oracle – это мощное приложение, предназначенное для сравнения баз данных Oracle, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for Oracle EMS DB Extract for Oracle – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for Oracle позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for Oracle EMS SQL Query™ for Oracle – это специализированная утилита для простого и быстрого создания запросов к базам данных Oracle. SQL Query™ for Oracle Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for Oracle EMS Data Comparer for Oracle – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer for Oracle Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

IBM DB2

 | SQL Manager for DB2 EMS SQL Manager 2007 for DB2 – это мощнейший инструмент для разработки и администрирования серверов баз данных DB2. Простой и дружественный графический интерфейс позволяет легко создавать и редактировать объекты DB2, визуально разрабатывать базы данных, запускать скрипты SQL. Многочисленные инструменты, доступные в программе, значительно облегчат вашу работу с базами данных DB2.
dataexport | Data Export for DB2 EMS Data Export for DB2 – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных DB2 в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for DB2 располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for DB2 EMS Data Import 2007 for DB2 - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных DB2.
datapump | Data Pump for DB2 EMS Data Pump™ for DB2 – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных IBM®DB2. Теперь перенос данных при помощи Data Pump™ for DB2 стал настолько прост, насколько это возможно!
datagenerator | Data Generator for DB2 EMS Data Generator™ for DB2– это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных DB2. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
extract | DB Extract for DB2 EMS DB Extract for DB2 – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for DB2 EMS SQL Query™ for DB2 – это специализированная утилита для простого и быстрого создания запросов к базам данных IBM®DB2. SQL Query™ for DB2 Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
 | Наверх

Tools & components

advancedexport | Advanced Data Export Advanced Data Export VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), Open XML Format, Open Document Format (ODF), HTML, XML, PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET - это набор компонентов для Microsoft Visual Studio .NET позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedimport | Advanced Data Import Advanced Data Import VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий импортировать данные из большинства популярных офисных форматов напрямую в базу данных. Теперь Вы можете импортировать данные из MS Access, MS Excel, HTML, XML, PDF, TXT, DBF, CSV и ODF. Больше не нужно тратить свое время на утомительный процесс импорта данных, Advanced Data Import быстро выполнит все задачи и предоставит результат в требуемом Вам формате.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator - это набор компонентов, позволяющих предельно просто и быстро создавать PDF-документы из Ваших приложений, написанных на Delphi и C++ Builder. Теперь даже не нужно знать специфику формата PDF, Advanced PDF Generator автоматически создает требуемый документ. Причем Advanced PDF Generator разбивает таблицы на несколько частей для каждой из страниц документа, поддерживает вложенные таблицы, позволяет вставлять изображения в создаваемый PDF-документ и многое другое!
querybuilder | Advanced Query Builder Advanced Query Builder™ – это набор компонентов для Borland® Delphi® и C++ Builder®, специально предназначенный для визуального построения запросов SQL для функций SELECT, INSERT, UPDATE и DELETE. Теперь Вы можете визуально создавать новые запросы к Вашим приложениям либо графически представить уже существующие. В комплект поставки входят компоненты для работы со стандартами SQL, InterBase/Firebird, MySQL, PostgreSQL и другими. Пользователи Query Builder могут создавать объемные и сложные по своей структуре запросы для разных серверов даже без знания синтаксиса SQL.
excelreport | Advanced Excel Report Advanced Excel Report™ - это мощный генератор отчетов в формате MS Excel для Delphi®. Excel Report основан на секционном принципе создания отчетов с использованием шаблонов. Простые и удобные редакторы свойств Advanced Excel Report позволяют моментально создавать подробные отчеты в формате MS Excel. Теперь созданные отчеты могут быть отредактированы, сохранены и просмотрены практически на любом компьютере. Excel Report поддерживает Borland® Delphi® 5-7, 2005-2007 а также MS Office 97 SR-1, 2000-2007.
advancedlocalizer | Advanced Localizer Advanced Localizer™ - это незаменимый пакет компонентов для Borland® Delphi®, позволяющий добавлять языковую поддержку Вашим Delphi® приложениям. Широкие возможности пакета Advanced Localizer позволяют быстро и просто локализовать свойства компонентов каждой формы, создавать языковые файлы с текущими значениями свойств компонентов, управлять файлами локализаций, а также назначать компоненты и их свойства, подлежащие локализации. Язык приложений, использующих Advanced Localizer, может быть переключен на другой непосредственно во время работы без последующего перезапуска приложения. Advanced Localizer также предусматривает возможность написания приложений-потомков, использующих языковые файлы, заданные пользователем.
 | Наверх


Servers

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Управление серверами

Для начала работы с программой необходимо зарегистрировать сервера, с которыми вы планируете работать. Список всех доступных баз загрузится автоматически.

Server explorer (Проводник серверов)

На панели управления серверами вы можете регистировать новые сервера, редактировать уже зарегистрированные, удалять их из программы, запускать резервное копирование и создавать автоматизированные задачи.

Смотрите также:

Начало работы

Управление задачами

Резервные хранилища

Настройки


Мастер регистрации сервера

Мастер регистрации сервера поможет настроить подключение к серверу. Запустить мастер можно из контекстного меню панели серверов, выбрав пункт registerServer Register Server.

Шаги мастера

Первый шаг

Параметры подключения

Настройки туннелинга

Выбор хранилища

Общие настройки

Настройки уведомлений

Выполнение операции

Смотрите также:

Регистрационные данные сервера


Первый шаг

На первом шаге отображается общая информация о мастере.

Register server - Welcome step1

Следующий шаг >>


Параметры подключения

На этом шаге необходимо задать основные параметры для регистрации сервера в программе.

Host (Адрес)

Укажите имя или IP-адрес сервера.

Alias (Псевдоним)

Укажите псевдоним сервера, под которым он будет отображаться в проводнике. По умолчанию псевдоним сервера совпадает с именем сервера.

DB to connect

Введите имя БД, к которой будет происходить автоматическое подключение при подклчении к серверу.

Login (Логин)

Введите имя пользователя для подключения к серверу.

Password (Пароль)

Укажите пароль для заданного пользователя.

Register server - Specifying connection info

SSL mode (Режим SSL)

Выберите режим SSL: Disabled (Отключен), Preferred (Предпочтителен) или Required (Требуется).

Timeout (Таймаут)

Задайте время ожидания в секундах при подключении к серверу.

Method

Выберите тип подключения к серверу: прямой (Direct) или через туннелинг (SSH tunnel). Настройки SSH необходимо задать на следующем шаге.

Test connection (Проверка подключения)

Проверка подключения к указанному серверу.

<< Предыдущий шаг

Следующий шаг >>


Настройки туннелинга

Если на предыдущем шаге было выбрано подклчение через SSH, то открывается шаг с его настройками.

Имя сервера (Host)

Введите имя сервера, на котором запущен SSH.

Порт (Port)

Введите значение порта на сервере SSH.

Пользователь (Login)

Укажите имя пользователя на сервере SSH.

Пароль (Password)

Введите пароль для указанного пользователя.

Register server - Specifying tunnelling settings

Ключ (Key)

Выберите файл ключа для аутентификации.

Кодовая фраза (Passphrase)

Введите кодовую фразу.

<< Предыдущий шаг

Следующий шаг >>


Выбор хранилищ

На этом шаге выберите как минимум одно хранилище, где будут храниться файлы бэкапа. Создать резервные хранилища можно на вкладке Backup targets Backup storages в основном окне программы.

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех хранилищ одновременно. Кнопка invertselection Invert Selection осуществляет выбор хранилищ на противоположный.

Используйте addtarget Register backup storage для запуска Мастера регистрации резервного хранилища.

Backup protection (Защита файла резервной копии)

Выберите метод защиты файлов резервной копии. Обратите внимание, что методы с использованием алгоритмов шифрования Blowfish и AES доступны только в Стандартной и Профессиональной версиях программы.

Password (Пароль)

Укажите пароль для доступа к файлам резервной копии.

Confirm password (Подтверждение пароля)

Повторите ввод пароля.

Compression level (Уровень сжатия)

Задайте уровень сжатия от1 до 9 для всех файлов выбранного хранилища. Сжатие не применяется, если установлено значение 0.

Register server - Selecting backup targets

Выберете одно или несколько хранилищ и нажимте кнопку Next.

<< Предыдущий шаг

Следующий шаг >>


Setting general options

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Общие настройки

При необходимости введите описание для сервера.

Register server - Specifying general options

<< Предыдущий шаг

Следующий шаг >>


Настройки уведомлений

При необходимости укажите параметры рассылки уведомлений при потере соединения с сервером.

checkbox Показывать уведомление на рабочем столе (Show desktop notification)

При включенной опции на рабочий стол выводятся уведомления при каждой потере соединения с сервером.

Register server - Setting notifications

Отправлять уведомления по электронной почте (Email notification recipients)

Если в данном поле указаны электронные адреса, то на них будут отправляться уведомления при каждой потере соединения с сервером.

<< Предыдущий шаг

Следующий шаг >>


Выполнение операции

На этом шаге мастера можно просмотреть значения всех заданных на предыдущих шагах опций.

Register server - Performing operation

Нажимет Finish для регистрации сервера в программе.

<< Предыдущий шаг


Регистрационные данные сервера

В редакторе регистрационных данных сервера (Server registration info) вы можете посмотреть настройки регистрации и при необходимости изменить их. Для этого выберите пункт serverRegistrationInfo Server registration info в контекстном меню сервера.

Вкладки редактора

Настройки подключения

Настройки SSH

Резервные хранилища

Общие настройки

Настройки уведомлений

Смотрите также:

Мастер регистрации сервера


Настройки подключения

На этой вкладке отображаются параметры подключения к серверу.

Host (Адрес)

Укажите имя или IP-адрес сервера.

Alias (Псевдоним)

Укажите псевдоним сервера, под которым он будет отображаться в проводнике. По умолчанию псевдоним сервера совпадает с именем сервера.

DB to connect

Введите имя БД, к которой будет происходить автоматическое подключение при подклчении к серверу.

Login (Логин)

Введите имя пользователя для подключения к серверу.

Password (Пароль)

Укажите пароль для заданного пользователя.

Server Registration Info - Connection

SSL mode (Режим SSL)

Выберите режим SSL: Disabled (Отключен), Preferred (Предпочтителен) или Required (Требуется).

Timeout (Таймаут)

Задайте время ожидания в секундах при подключении к серверу.

Method

Выберите тип подключения к серверу: прямой (Direct) или через туннелинг (SSH tunnel).

Test connection (Проверка подключения)

Проверка подключения к указанному серверу.


Настройки SSH

На этой вкладке вы можете просматривать и редактировать информацию о подключении через SSH-сервер.

Имя сервера (Host)

Введите имя сервера, на котором запущен SSH.

Порт (Port)

Введите значение порта на сервере SSH.

Пользователь (Login)

Укажите имя пользователя на сервере SSH.

Пароль (Password)

Введите пароль для указанного пользователя.

Server Registration Info - SSH settings

Ключ (Key)

Выберите файл ключа для аутентификации.

Кодовая фраза (Passphrase)

Введите кодовую фразу.


Резервные хранилища

На этой вкладке вы можете просматривать и редактировать информацию о хранилищах резервных копий. Если для сервера выбраны несколько хранилищ, то файлы резервных копий будут копироваться в каждое из них.

Также заданные хранилища используются как хранилища по умолчанию при выполнении [image] Quick backup (Быстрый бэкап).

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех хранилищ одновременно. Кнопка invertselection Invert Selection осуществляет выбор хранилищ на противоположный.

Используйте addtarget Register backup storage для запуска Мастера регистрации резервного хранилища.

Backup protection (Защита файла резервной копии)

Выберите метод защиты файлов резервной копии. Обратите внимание, что методы с использованием алгоритмов шифрования Blowfish и AES доступны только в Стандартной и Профессиональной версиях программы.

Password (Пароль)

Укажите пароль для доступа к файлам резервной копии.

Confirm password (Подтверждение пароля)

Повторите ввод пароля.

Compression level (Уровень сжатия)

Задайте уровень сжатия от1 до 9 для всех файлов выбранного хранилища. Сжатие не применяется, если установлено значение 0.

Server Registration Info - Backup targets

Выбранные хранилища активны для текущего сервера. Чтобы убрать хранилище из списка, нажмите на него мышкой. Добавить новые хранилища или изменить настройки уже существующих можно на вкладке Backup targets Backup storages (Резервные хранилища).

Смотрите также:

Мастер регистрации резервных хранилищ


Общие настройки

На этой вкладке можно редактировать описание сервера.

Server Registration Info - General


Настройки уведомлений

Добавьте или измените получателей уведомлений о потере соединения с сервером.

checkbox Показывать уведомление на рабочем столе (Show desktop notification)

При включенной опции на рабочий стол выводятся уведомления при каждой потере соединения с сервером.

Server Registration Info - Notifications

Отправлять уведомления по электронной почте (Email notification recipients)

Если в данном поле указаны электронные адреса, то на них будут отправляться уведомления при каждой потере соединения с сервером.


Управление задачами резервного копирования

На вкладке Backup tasks Backup tasks (Задачи резервного копирования) вы можете просматривать общую информацию о сервере, запускать [image] Quick backup (Быстрый бэкап), создавать резервные копии БД из контекстного меню с помощью пункта Backup database..., восстанавливать базы данных из резервных копий с помощью Restore Database..., создавать автоматизированные задачи и отслеживать информацию о текущих задачах.

Backup tasks tab

Все запуски задач отображаются в списке в нижней части окна. Для получения подробной информации о выполнении запуска выберите Show log (Показать журнал) в контекстном меню запуска.

Из контекстного меню запуска вы можете восстановить БД (Quick restore) или скачать необходимый файл резервной копии (Get Backup).

Смотрите также:

Мастер создания резервных копий

Мастер создания задач резервного копирования

Редактор задач резервного копирования

Мастер создания расписаний

Выполнение задач

Получение файла бэкапа

Быстрое восстановление БД


Мастер создания резервных копий

Мастер предназначен для пошагового создания резервной копии. Запустить мастер можно из контекстного меню базы данных, выбрав пункт [image] Backup database (Создать резервную копию БД).

Шаги мастера

Первый шаг

Выбор баз данных

Выбор резервных хранилищ

Настройки файла резервной копии

Настройки содержимого файла

Настройки фильтров объектов

Настройки структуры бэкапа

Настройки безопасности

Выполнение операции

Журнал выполнения

Смотрите также:

Мастер создания задач резервного копирования


Первый шаг

На первом шаге отображается общая информация о мастере.

Backup database - Welcome step

Следующий шаг >>


Выбор баз данных

На этом шаге необходимо выбрать базы данных, для которых требуется создание резервной копии.

Server (Сервер)

Выберите один из зарегистрированных серверов.

Databases (Базы данных)

Выберите базы данных, для которых необходимо создать резервные копии.

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех баз данных одновременно. Кнопка invertselection Invert Selection осуществляет выбор баз данных на противоположный.

Backup database - Specifying backup source

<< Предыдущий шаг

Следующий шаг >>


Выбор резервных хранилищ

На этом шаге выберите как минимум одно хранилище, где будут храниться файлы бэкапа. Создать резервные хранилища можно на вкладке Backup targets Backup storages в основном окне программы.

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех хранилищ одновременно. Кнопка invertselection Invert Selection осуществляет выбор хранилищ на противоположный.

Используйте addtarget Register backup storage для запуска Мастера регистрации резервного хранилища.

Backup protection (Защита файла резервной копии)

Выберите метод защиты файлов резервной копии. Обратите внимание, что методы с использованием алгоритмов шифрования Blowfish и AES доступны только в Стандартной и Профессиональной версиях программы.

Password (Пароль)

Укажите пароль для доступа к файлам резервной копии.

Confirm password (Подтверждение пароля)

Повторите ввод пароля.

Compression level (Уровень сжатия)

Задайте уровень сжатия от1 до 9 для всех файлов выбранного хранилища. Сжатие не применяется, если установлено значение 0.

Backup database - Specifying backup storage

<< Предыдущий шаг

Следующий шаг >>


Настройки файла резервной копии

На этом шаге вы можете настроить формат файла резервной копии.

File format (Формат файла)

Выберите тип итогового файла: Plain-text SQL script (Скрипт SQL), Custom gzip archive file (Архив GZIP), Tar archive (Архив TAR) или Directory-format archive file (формат каталога).

Name pattern (Шаблон имени)

Укажите имя итогового файла. Вы можете использовать тэг {server} для подстановки имени сервера, {database} для подстановки имени БД, {date} для подстановки даты создания файла.

Backup database - Specifying backup file related options

Encoding (Кодировка)

Выберите кодировку файла резервной копии из списка.

Compression level (Уровень сжатия)

Выберите степень сжатия файла от 0 до 9. Если выбрано значение 0, то сжатие применяться не будет.

Number of jobs

Данная опция доступна только для формата каталога и задает число потоков дял выполнения операции резервного копирования. С ее помощью вы можете контролировать скорость выгрузки и нагрузку на процессор.

<< Предыдущий шаг

Следующий шаг >>


Specifying content of backup

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Настройки содержимого файла

На этом шаге укажите какой тип данных попадет в резервную копию.

Content type (Тип содержимого)

Выберите какие данные будут включены в резервную копию:

Data (только данные, включая большие данные и значения последовательностей);

Metadata (структура без табличных данных);

Data and Metadata - (и данные, и структура).

Sections (Секции)

Выберите, какие секции включить в резервную копию:

data (данные таблиц, больших объектов и значения последовательностей)

post-data (определения индексов, триггеров, правил и ограничений)

pre-data (включает определения остальных элементов).

Backup database - Specifying content of backup

Content options (Настройки содержимого)

checkbox Exclude content of unlogged tables (Не выгружать данные нежурналируемых страниц)

Нежурналируемые таблицы не будут выгружаться в файл резервной копии.

checkbox Exclude publications (Не выгружать публикации)

Публикации не будут выгружаться в файл резервной копии.

checkbox Exclude subscriptions (Не выгружать подписки)

Подписки не будут выгружаться в файл резервной копии.

checkbox Exclude BLOBs (Не выгружать данные BLOB)

Большие объекты не будут выгружаться в файл резервной копии.

<< Предыдущий шаг

Следующий шаг >>


Настройки фильтров объектов

На этом шаге вы можете задать фильтры для данных и таблиц — какие данные включить или, наоборот, исключить из файла резервной копии.

Objects selection (Выбор объектов)

Выберите тип объектов, для которых будут применятся указанные ниже списки: Tables (Таблицы) или Schemas (Схемы). Обратите внимание, что при выборе схем будут выгружаться только объекты указанных схем, зависмые объекты выгружаться не будут.

White list (Белый список)

При помощи кнопок на правой панели добавьте шаблоны имен тех объектов, которые будут включены в резервную копию.

Black list (Черный список)

При помощи кнопок на правой панели добавьте шаблоны имен тех объектов, которые будут исключены из резервной копии.

ВАЖНО: Если объект содержится только в белом списке, и не содержится в черном списке, то он будет добавлен в резервную копию.

ВАЖНО: Таблицы из белого списка будут добавлены в резервную копию в любом случае, независимо от фильтров схем.

Backup database - Configuring objects filter

checkbox Include BLOBs

При включенной опции большие объекты будут выгружаться в файл резервной копии.

<< Предыдущий шаг

Следующий шаг >>


Настройки структуры бэкапа

На этом шаге вы можете задать детальные настройки операторов в итоговом резервном файле.

Data queries statement (Оператор вставки данных)

Выберите тип оператора для вставки данных:

COPY (это самый быстрый оператор для восстановления данных)

INSERT (оператор вставки будет генерироваться для каждой строки)

INSERT with column names (в оператор вставки данных будут добавлены имена столбцов (INSERT INTO table (column, ...) VALUES ...), что обеспечивает стабильность работы при перестановке столбцов, но значительно замедляет процесс восстановления из резервной копии.

Backup database - Configuring structure of backup script

Structure options (Настройки структуры)

checkbox Force to create new database (Создавать новую БД)

В скрипт будет добавлен оператор CREATE DATABASE.

checkbox Include OIDs to table data (Добавлять OID к данным таблиц)

Сохранять уникальный идентификатор таблиц.

checkbox Drop objects before creation (Удалять объекты перед созданием)

Добавлять в создаваемый скрипт команды для удаления объектов.

checkbox Add IF EXISTS (Добавлять оператор IF EXISTS)

Использовать оператор DROP IF EXISTS.

checkbox Disable triggers temporarily (Временно отключать триггеры)

В скрипт будут добавлены операторы для временного выключения триггеров при восстановлении в БД.

checkbox Disable dollar quoting (Отключить экранирование долларом)

Отключает использование символа $ в телах функций.

checkbox Exclude tablespaces (Исключать табличные пространства)

Не добавлять в скрипт команды для указания табличных пространств. Все объекты при восстановлении будут создаваться в табличном пространстве по умолчанию.

checkbox Force quoting of all identifiers (Экранировать все идентификаторы)

Экранировать все идентификаторы для сохранения совместимости между версиями серверов.

checkbox Load data via partition root (Выгружать данные через корневую таблицу в иерархии секции)

Выводить команды COPY или INSERT, ссылающиеся на корневую таблицу в иерархии секционирования, а не на выгружаемую секцию. В результате при загрузке данных подходящая секция будет выбираться заново для каждой строки. Это может быть полезно при перезагрузке данных, когда на целевом сервере строки не всегда попадают в те же секции, в которых они находились на исходном.

checkbox Add detailed object comments (Добавлять детальную информацию об объекте)

Добавлять детальный лог по каждому объекту в процессе создания резервной копии. Включение этой опции значительно увеличивает размер файла резервной копии.

<< Предыдущий шаг

Следующий шаг >>


Настройки безопасности

На этом шаге задайте все настройки резервной копии, связанные с безопасностью и правами.

Creator role name (Имя роли создателя)

Укажите роль, которая будет использоваться при создании резервной копии.

Superuser (Суперпользователь)

Задайте имя суперпользователя для отключения триггеров.

Backup database - Configuring backup security options

Security options (Настройки безопасности)

checkbox Disable object ownership commands (Отключить команды владения объектами)

При включенной опции в скрипт не будут добавлены команды, которые задают владельцев объектов. В этом случае владельцем объектов будет считаться пользователь, который будет восстанавливать базу.

checkbox Exclude privileges (Не выгружать права доступа)

Не выгружать в скрипт права доступа.

checkbox Use session auth for object ownership (Использовать авторизацию сессии для владения объектами)

При включенной опции для назначения владельцев объекта будет использоваться команда SET SESSION AUTHORIZATION, вместо ALTER OWNER.

checkbox Exclude security labels (Не выгружать метки безопасности)

Не добавлять метки безопасности в итоговый скрипт.

checkbox Enable row security (Включить защиту строк)

Активирует режим защиты строк, чтобы пользователь мог выгрузить только те данные, к которым он имеет доступ. При этом желательно, чтобы данные были выгружены в формате INSERT.

<< Предыдущий шаг

Следующий шаг >>


Выполнение операции

На этом шаге мастера можно проверить значения всех заданных на предыдущих шагах опций и запустить процесс кнопкой Run.

Backup database - Performing operation

<< Предыдущий шаг

Следующий шаг >>


Журнал выполнения

На этом шаге отображается процесс создания резервной копии.

Для автоматической прокрутки данных журнала включите опцию checkbox Автоматическая прокрутка содержимого (Scroll content automatically).

Включить или отключить отображение сообщений об ошибках, предупреждений и информационных сообщений можно при помощи соответствующих кнопок:Show errors, Show warnings, Show infos.

Backup database - Backup process result log

При нажатой кнопке Фильтр для отображения записей будет применен фильтр по дате и/или текстовый фильтр.

Backup log - Filter

Осуществлять инкрементный текстовый поиск можно с помощью строки поиска в верхней части окна.

Backup log - Search

Кнопка Скопировать в буфер обмена (Copy to Clipboard) позволяет скопировать весь или выбранный текст.

<< Предыдущий шаг


Мастер создания задач резервного копирования

Мастер предназначен для удобного содания автоматизированной задачи резервного копирования. Запустить мастер можно из контекстного меню базы данных, выбрав пункт backuptaskcreate New task (Новая задача... ).

Шаги мастера

Первый шаг

Выбор баз данных

Выбор резервных хранилищ

Задание имени

Настройки файла резервной копии

Настройки содержимого файла

Настройки фильтров объектов

Настройки структуры бэкапа

Настройки безопасности

Выбор расписания

Выполнение операции

Смотрите также:

Мастер создания резервных копий

Редактор задач резервного копирования

Выполнение задач


Первый шаг

На первом шаге отображается общая информация о мастере.

Backup tasks - Welcome step

Следующий шаг >>


Выбор баз данных

На этом шаге необходимо выбрать базы данных, для которых требуется создание резервной копии.

Server (Сервер)

Выберите один из зарегистрированных серверов.

Databases (Базы данных)

Выберите базы данных, для которых необходимо создать резервные копии.

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех баз данных одновременно. Кнопка invertselection Invert Selection осуществляет выбор баз данных на противоположный.

Backup tasks - Specifying backup source

<< Предыдущий шаг

Следующий шаг >>


Выбор резервных хранилищ

На этом шаге выберите как минимум одно хранилище, где будут храниться файлы бэкапа. Создать резервные хранилища можно на вкладке Backup targets Backup storages в основном окне программы.

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех хранилищ одновременно. Кнопка invertselection Invert Selection осуществляет выбор хранилищ на противоположный.

Используйте addtarget Register backup storage для запуска Мастера регистрации резервного хранилища.

Backup protection (Защита файла резервной копии)

Выберите метод защиты файлов резервной копии. Обратите внимание, что методы с использованием алгоритмов шифрования Blowfish и AES доступны только в Стандартной и Профессиональной версиях программы.

Password (Пароль)

Укажите пароль для доступа к файлам резервной копии.

Confirm password (Подтверждение пароля)

Повторите ввод пароля.

Compression level (Уровень сжатия)

Задайте уровень сжатия от1 до 9 для всех файлов выбранного хранилища. Сжатие не применяется, если установлено значение 0.

Backup tasks - Specifying backup storage

<< Предыдущий шаг

Следующий шаг >>

.


Задание имени

На этом шаге необходимо указать имя создаваемой задачи и ее описание.

Name (Имя)

Введите имя новой задачи.

Description (Описание)

При необходимости введите текст описания задачи.

Backup tasks - Specifying backup task name

<< Предыдущий шаг

Следующий шаг >>


Настройки файла резервной копии

На этом шаге вы можете настроить формат файла резервной копии.

File format (Формат файла)

Выберите тип итогового файла: Plain-text SQL script (Скрипт SQL), Custom gzip archive file (Архив GZIP), Tar archive (Архив TAR) или Directory-format archive file (формат каталога).

Name pattern (Шаблон имени)

Укажите имя итогового файла. Вы можете использовать тэг {server} для подстановки имени сервера, {database} для подстановки имени БД, {date} для подстановки даты создания файла.

Backup tasks - Defining backup file options

Encoding (Кодировка)

Выберите кодировку файла резервной копии из списка.

Compression level (Уровень сжатия)

Выберите степень сжатия файла от 0 до 9. Если выбрано значение 0, то сжатие применяться не будет.

Number of jobs

Данная опция доступна только для формата каталога и задает число потоков дял выполнения операции резервного копирования. С ее помощью вы можете контролировать скорость выгрузки и нагрузку на процессор.

<< Предыдущий шаг

Следующий шаг >>


Настройки содержимого файла

На этом шаге укажите какой тип данных попадет в резервную копию.

Content type (Тип содержимого)

Выберите какие данные будут включены в резервную копию:

Data (только данные, включая большие данные и значения последовательностей);

Metadata (структура без табличных данных);

Data and Metadata - (и данные, и структура).

Sections (Секции)

Выберите, какие секции включить в резервную копию:

data (данные таблиц, больших объектов и значения последовательностей)

post-data (определения индексов, триггеров, правил и ограничений)

pre-data (включает определения остальных элементов).

Backup tasks - Specifying backup content

Content options (Настройки содержимого)

checkbox Exclude content of unlogged tables (Не выгружать данные нежурналируемых страниц)

Нежурналируемые таблицы не будут выгружаться в файл резервной копии.

checkbox Exclude publications (Не выгружать публикации)

Публикации не будут выгружаться в файл резервной копии.

checkbox Exclude subscriptions (Не выгружать подписки)

Подписки не будут выгружаться в файл резервной копии.

checkbox Exclude BLOBs (Не выгружать данные BLOB)

Большие объекты не будут выгружаться в файл резервной копии.

<< Предыдущий шаг

Следующий шаг >>


Настройки фильтров объектов

На этом шаге вы можете задать фильтры для данных и таблиц — какие данные включить или, наоборот, исключить из файла резервной копии.

Objects selection (Выбор объектов)

Выберите тип объектов, для которых будут применятся указанные ниже списки: Tables (Таблицы) или Schemas (Схемы). Обратите внимание, что при выборе схем будут выгружаться только объекты указанных схем, зависмые объекты выгружаться не будут.

White list (Белый список)

При помощи кнопок на правой панели добавьте шаблоны имен тех объектов, которые будут включены в резервную копию.

Black list (Черный список)

При помощи кнопок на правой панели добавьте шаблоны имен тех объектов, которые будут исключены из резервной копии.

ВАЖНО: Если объект содержится только в белом списке, и не содержится в черном списке, то он будет добавлен в резервную копию.

ВАЖНО: Таблицы из белого списка будут добавлены в резервную копию в любом случае, независимо от фильтров схем.

Backup tasks - Configuring object filter

checkbox Include BLOBs

При включенной опции большие объекты будут выгружаться в файл резервной копии.

<< Предыдущий шаг

Следующий шаг >>


Настройки структуры бэкапа

На этом шаге вы можете задать детальные настройки операторов в итоговом резервном файле.

Data queries statement (Оператор вставки данных)

Выберите тип оператора для вставки данных:

COPY (это самый быстрый оператор для восстановления данных)

INSERT (оператор вставки будет генерироваться для каждой строки)

INSERT with column names (в оператор вставки данных будут добавлены имена столбцов (INSERT INTO table (column, ...) VALUES ...), что обеспечивает стабильность работы при перестановке столбцов, но значительно замедляет процесс восстановления из резервной копии.

Backup tasks - Configuring backup structure

Structure options (Настройки структуры)

checkbox Force to create new database (Создавать новую БД)

В скрипт будет добавлен оператор CREATE DATABASE.

checkbox Include OIDs to table data (Добавлять OID к данным таблиц)

Сохранять уникальный идентификатор таблиц.

checkbox Drop objects before creation (Удалять объекты перед созданием)

Добавлять в создаваемый скрипт команды для удаления объектов.

checkbox Add IF EXISTS (Добавлять оператор IF EXISTS)

Использовать оператор DROP IF EXISTS.

checkbox Disable triggers temporarily (Временно отключать триггеры)

В скрипт будут добавлены операторы для временного выключения триггеров при восстановлении в БД.

checkbox Disable dollar quoting (Отключить экранирование долларом)

Отключает использование символа $ в телах функций.

checkbox Exclude tablespaces (Исключать табличные пространства)

Не добавлять в скрипт команды для указания табличных пространств. Все объекты при восстановлении будут создаваться в табличном пространстве по умолчанию.

checkbox Force quoting of all identifiers (Экранировать все идентификаторы)

Экранировать все идентификаторы для сохранения совместимости между версиями серверов.

checkbox Load data via partition root (Выгружать данные через корневую таблицу в иерархии секции)

Выводить команды COPY или INSERT, ссылающиеся на корневую таблицу в иерархии секционирования, а не на выгружаемую секцию. В результате при загрузке данных подходящая секция будет выбираться заново для каждой строки. Это может быть полезно при перезагрузке данных, когда на целевом сервере строки не всегда попадают в те же секции, в которых они находились на исходном.

checkbox Add detailed object comments (Добавлять детальную информацию об объекте)

Добавлять детальный лог по каждому объекту в процессе создания резервной копии. Включение этой опции значительно увеличивает размер файла резервной копии.

<< Предыдущий шаг

Следующий шаг >>


Настройки безопасности

На этом шаге задайте все настройки резервной копии, связанные с безопасностью и правами.

Creator role name (Имя роли создателя)

Укажите роль, которая будет использоваться при создании резервной копии.

Superuser (Суперпользователь)

Задайте имя суперпользователя для отключения триггеров.

Backup tasks - Configuring backup security options

Security options (Настройки безопасности)

checkbox Disable object ownership commands (Отключить команды владения объектами)

При включенной опции в скрипт не будут добавлены команды, которые задают владельцев объектов. В этом случае владельцем объектов будет считаться пользователь, который будет восстанавливать базу.

checkbox Exclude privileges (Не выгружать права доступа)

Не выгружать в скрипт права доступа.

checkbox Use session auth for object ownership (Использовать авторизацию сессии для владения объектами)

При включенной для назанчения владельцев объекта будет использоваться команда SET SESSION AUTHORIZATION, вместо ALTER OWNER.

checkbox Exclude security labels (Не выгружать метки безопасности)

Не добавлять метки безопасности в итоговый скрипт.

checkbox Enable row security (Включить защиту строк)

Активирует режим защиты строк, чтобы пользователь мог выгрузить только те данные, к которым он имеет доступ. При этом желательно, чтобы данные были выгружены в формате INSERT.

<< Предыдущий шаг

Следующий шаг >>


Выбор расписания

На этом шаге требуется создать расписание для выполнения автоматического резервного копирования. С помощью кнопок на правой панели можно создавать, редактировать и удалять расписания из списка. При необходимости можно задать несколько расписаний для задачи.

checkbox Выполнить планирование в UTC

При включенной опции для выполнения запланированной задачи используется формат времени UTC. Если опция отключена, то время рассчитывается по локальному времени, где установлена программа.

ВАЖНО Вы можете проверить местное время и его формат в UTC в правом нижнем углу главного окна программы.

Backup tasks - Scheduling backup task execution

Стратегия очистки истории запусков (Cleanup strategy for launches history)

selected radio button Удалять запуски через ... дней (Remove launches after ... days)

Удаляет запуски из журнала резервного копирования старше заданной даты.

selected radio button Хранить только ... последних запусков (Keep only ... recent launches)

Лимит запусков, которые требуется сохранять в журнале резервного копирования. Все запуски превышающие лимит будут автоматически удаляться.

checkbox Удалять файлы резервных копий из хранилищ (Remove related backup files from storages)

При удалении записей из журнала резервного копирования удалять и сами резервные копии из хранилищ. Иначе все файлы будут сохраняться в хранилищах.

<< Предыдущий шаг

Следующий шаг >>


Настройка уведомлений

На этом шаге при необходимости можно настроить отправку уведомлений для выполнения задач.

Backup tasks - Adding notifications

Task launch

checkbox Show desktop notification

При включенной опции на экран будут выводиться уведомления о запуске задачи.

Email notification recipients

На указанные электронные адреса будет отправляться сообщение о запуске задачи. Добавить или удалить электронный адрес можно с помощью кнопок на правой панели.

Task completion

checkbox Show desktop notification

При включенной опции на экран будут выводиться уведомление о завершении выполнения задачи.

Email notification recipients

На указанные электронные адреса по завершении выполнения задачи будет отправляться соотвествующее сообщение. Добавить или удалить электронный адрес можно с помощью кнопок на правой панели.

<< Предыдущий шаг

Следующий шаг >>


Выполнение операции

На этом шаге мастера можно проверить значения всех заданных на предыдущих шагах опций и создать задачу резервного копирования с помощью кнопки Finish.

В дальнейшем вы можете просматривать статус текущих задач, а также редактировать их из главного окна программы.

Backup tasks - Performing operation

<< Предыдущий шаг


Редактор задач резервного копирования

В редакторе задачи резервного копирования вы можете редактировать задачи, созданные в Мастере создания задач резервного копирования. Открыть редактор можно двойным щелчком мыши в списке задач в главном окне программы или выбрав пункт контекстного меню backuptaskedit Edit task (Редактировать задачу...).

Вкладки редактора

Общие настройки

Базы данных

Резервные хранилища

Файл резервной копии

Содержимое бэкапа

Фильтр объектов

Структура бэкапа

Настройки безопасности

Планирование

Смотрите также:

Мастер создания задач резервного копирования

Выполнение задач


Общие настройки

На этой вкладке вы можете задать общие настройки задачи.

Name (Имя)

Имя новой задачи.

Description (Описание)

Текстовое описание задачи.

Task editor - Specifying backup task name


Базы данных

На этой вкладке отображаются базы данных, для которых требуется создание резервной копии.

Server (Сервер)

Выберите один из зарегистрированных серверов.

Databases (Базы данных)

Выберите базы данных, для которых необходимо создать резервные копии.

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех баз данных одновременно. Кнопка invertselection Invert Selection осуществляет выбор баз данных на противоположный.

Task editor - Backup source


Резервные хранилища

На этом шаге отображается список резервных хранилищ, где будут храниться файлы бэкапа. Создать резервные хранилища можно на вкладке Backup targets Backup storages в главном окне программы.

С помощью кнопок selectall Select All и unselectall Unselect All Вы можете выбрать или отменить выбор сразу всех хранилищ одновременно. Кнопка invertselection Invert Selection осуществляет выбор хранилищ на противоположный.

Используйте addtarget Register backup storage для запуска Мастера регистрации резервного хранилища.

Backup protection (Защита файла резервной копии)

Выберите метод защиты файлов резервной копии. Обратите внимание, что методы с использованием алгоритмов шифрования Blowfish и AES доступны только в Стандартной и Профессиональной версиях программы.

Password (Пароль)

Укажите пароль для доступа к файлам резервной копии.

Confirm password (Подтверждение пароля)

Повторите ввод пароля.

Compression level (Уровень сжатия)

Задайте уровень сжатия от1 до 9 для всех файлов выбранного хранилища. Сжатие не применяется, если установлено значение 0.

Task editor - Backup storages


Файл резервной копии

На этой вкладке вы можете настроить формат файла резервной копии.

File format (Формат файла)

Тип итогового файла: Plain-text SQL script (Скрипт SQL), Custom gzip archive file (Архив GZIP), Tar archive (Архив TAR) или Directory-format archive file (формат каталога).

Name pattern (Шаблон имени)

Укажите имя итогового файла. Вы можете использовать тэг {server} для подстановки имени сервера, {database} для подстановки имени БД, {date} для подстановки даты создания файла.

Encoding (Кодировка)

Кодировка файла резервной копии.

Compression level (Уровень сжатия)

Степень сжатия итогового файла от 0 до 9. Если выбрано значение 0, то сжатие применяться не будет.

Task editor - Backup file

Number of jobs

Данная опция доступна только для формата каталога и задает число потоков дял выполнения операции резервного копирования. С ее помощью вы можете контролировать скорость выгрузки и нагрузку на процессор.


Содержимое бэкапа

На этой вкладке отображаются данные, которые попадут в резервную копию.

Content type (Тип содержимого)

Данные, которые будут включены в резервную копию:

Data (только данные, включая большие данные и значения последовательностей);

Metadata (структура без табличных данных);

Data and Metadata - (и данные, и структура).

Sections (Секции)

Секции, которые будут включены в резервную копию:

data (данные таблиц, больших объектов и значения последовательностей)

post-data (определения индексов, триггеров, правил и ограничений)

pre-data (включает определения остальных элементов).

Task editor -Backup content

Content options (Настройки содержимого)

checkbox Exclude content of unlogged tables (Не выгружать данные нежурналируемых страниц)

Нежурналируемые таблицы не будут выгружаться в файл резервной копии.

checkbox Exclude publications (Не выгружать публикации)

Публикации не будут выгружаться в файл резервной копии.

checkbox Exclude subscriptions (Не выгружать подписки)

Подписки не будут выгружаться в файл резервной копии.

checkbox Exclude BLOBs (Не выгружать данные BLOB)

Большие объекты не будут выгружаться в файл резервной копии.


Фильтр объектов

На этой вкладке отображаются фильтры для данных и таблиц — какие данные включить или, наоборот, исключить из файла резервной копии.

Objects selection (Выбор объектов)

Выберите тип объектов, для которых будут применятся указанные ниже списки: Tables (Таблицы) или Schemas (Схемы). Обратите внимание, что при выборе схем будут выгружаться только объекты указанных схем, зависмые объекты выгружаться не будут.

White list (Белый список)

При помощи кнопок на правой панели добавьте шаблоны имен тех объектов, которые будут включены в резервную копию.

Black list (Черный список)

При помощи кнопок на правой панели добавьте шаблоны имен тех объектов, которые будут исключены из резервной копии.

ВАЖНО: Если объект содержится только в белом списке, и не содержится в черном списке, то он будет добавлен в резервную копию.

ВАЖНО: Таблицы из белого списка будут добавлены в резервную копию в любом случае, независимо от фильтров схем.

Task editor - Objects filter

checkbox Include BLOBs

При включенной опции большие объекты будут выгружаться в файл резервной копии.


Структура бэкапа

На этой вкладке вы можете посмотреть или изменить детальные настройки операторов в итоговом резервном файле.

Data queries statement (Оператор вставки данных)

Выберите тип оператора для вставки данных:

COPY (это самый быстрый оператор для восстановления данных)

INSERT (оператор вставки будет генерироваться для каждой строки)

INSERT with column names (в оператор вставки данных будут добавлены имена столбцов (INSERT INTO table (column, ...) VALUES ...), что обеспечивает стабильность работы при перестановке столбцов, но значительно замедляет процесс восстановления из резервной копии.

Task editor - Script structure

Structure options (Настройки структуры)

checkbox Force to create new database (Создавать новую БД)

В скрипт будет добавлен оператор CREATE DATABASE.

checkbox Include OIDs to table data (Добавлять OID к данным таблиц)

Сохранять уникальный идентификатор таблиц.

checkbox Drop objects before creation (Удалять объекты перед созданием)

Добавлять в создаваемый скрипт команды для удаления объектов.

checkbox Add IF EXISTS (Добавлять оператор IF EXISTS)

Использовать оператор DROP IF EXISTS.

checkbox Disable triggers temporarily (Временно отключать триггеры)

В скрипт будут добавлены операторы для временного выключения триггеров при восстановлении в БД.

checkbox Disable dollar quoting (Отключить экранирование долларом)

Отключает использование символа $ в телах функций.

checkbox Exclude tablespaces (Исключать табличные пространства)

Не добавлять в скрипт команды для указания табличных пространств. Все объекты при восстановлении будут создаваться в табличном пространстве по умолчанию.

checkbox Force quoting of all identifiers (Экранировать все идентификаторы)

Экранировать все идентификаторы для сохранения совместимости между версиями серверов.

checkbox Load data via partition root (Выгружать данные через корневую таблицу в иерархии секции)

Выводить команды COPY или INSERT, ссылающиеся на корневую таблицу в иерархии секционирования, а не на выгружаемую секцию. В результате при загрузке данных подходящая секция будет выбираться заново для каждой строки. Это может быть полезно при перезагрузке данных, когда на целевом сервере строки не всегда попадают в те же секции, в которых они находились на исходном.

checkbox Add detailed object comments (Добавлять детальную информацию об объекте)

Добавлять детальный лог по каждому объекту в процессе создания резервной копии. Включение этой опции значительно увеличивает размер файла резервной копии.


Настройки безопасности

На этой вкладке отображены все настройки резервной копии, связанные с безопасностью и правами.

Creator role name (Имя роли создателя)

Роль, которая будет использоваться при создании резервной копии.

Superuser (Суперпользователь)

Имя суперпользователя для отключения триггеров.

Task editor - Backup security

Security options (Настройки безопасности)

checkbox Disable object ownership commands (Отключить команды владения объектами)

При включенной опции в скрипт не будут добавлены команды, которые задают владельцев объектов. В этом случае владельцем объектов будет считаться пользователь, который будет восстанавливать базу.

checkbox Exclude privileges (Не выгружать права доступа)

Не выгружать в скрипт права доступа.

checkbox Use session auth for object ownership (Использовать авторизацию сессии для владения объектами)

При включенной для назанчения владельцев объекта будет использоваться команда SET SESSION AUTHORIZATION, вместо ALTER OWNER.

checkbox Exclude security labels (Не выгружать метки безопасности)

Не добавлять метки безопасности в итоговый скрипт.

checkbox Enable row security (Включить защиту строк)

Активирует режим защиты строк, чтобы пользователь мог выгрузить только те данные, к которым он имеет доступ. При этом желательно, чтобы данные были выгружены в формате INSERT.


Планирование

На этой вкладке отображается список расписаний для выполнения автоматического резервного копирования. С помощью кнопок на правой панели можно создавать, редактироваться и удалять расписания из списка. При необходимости можно задать несколько расписаний для задачи.

checkbox Выполнить планирование в UTC

При включенной опции для выполнения запланированной задачи используется формат времени UTC. Если опция отключена, то время рассчитывается по локальному времени, где установлена программа.

ВАЖНО Вы можете проверить местное время и его формат в UTC в правом нижнем углу главного окна программы.

Task editor - Scheduling

Стратегия очистки истории запусков (Cleanup strategy for launches history)

selected radio button Удалять запуски через ... дней (Remove launches after ... days)

Удаляет запуски из журнала резервного копирования старше заданной даты.

selected radio button Хранить только ... последних запусков (Keep only ... recent launches)

Лимит запусков, которые требуется сохранять в журнале резервного копирования. Все запуски превышающие лимит будут автоматически удаляться.

checkbox Удалять файлы резервных копий из хранилищ (Remove related backup files from storages)

При удалении записей из журнала резервного копирования удалять и сами резервные копии из хранилищ. Иначе все файлы будут сохраняться в хранилищах.


Уведомления

На этом шаге при необходимости можно настроить отправку уведомлений для запуска или завершения задач.

Task launch

checkbox Show desktop notification

При включенной опции на экран будут выводиться уведомления о запуске задачи.

Email notification recipients

На указанные электронные адреса будет отправляться сообщение о запуске задачи. Добавить или удалить электронный адрес можно с помощью кнопок на правой панели.

Task completion

checkbox Show desktop notification

При включенной опции на экран будут выводиться уведомление о завершении выполнения задачи.

Email notification recipients

На указанные электронные адреса по завершении выполнения задачи будет отправляться соотвествующее сообщение. Добавить или удалить электронный адрес можно с помощью кнопок на правой панели.

Task editor - Notifications


Мастер создания расписаний

Расписания создаются в Мастере создания расписаний, который можно запустить из Мастера создания задач резервного копирования. Уже созданные расписания можно отредактировать в Редакторе задачи.

Шаги мастера

Выбор периодичности

Задание имени

Указание деталей расписания

Выполнение операции

Смотрите также:

Мастер создания задач резервного копирования

Редактор задач резервного копирования


Выбор периодичности

На первом шаге необходимо выбрать переодичность выполнения раписания:

Once (Однократно),

Daily (Ежедневно),

Weekly (Еженедельно),

Monthly (Ежемесячно).

ВАЖНО Если требуется выполнять резервное копирование несколько раз в день, то необходимо создать несколько расписаний — по одному на каждый запуск.

Schedule wizard - Welcome step

Следующий шаг >>


Задание имени

Укажите имя и описание расписания.

Name (Имя)

Введите имя создаваемого расписания.

Description (Описание)

При необходимости введите описание расписания.

Schedule wizard - Specifying name

<< Предыдущий шаг

Следующий шаг >>


Указание деталей расписания

На этом шаге укажите детали расписания.

From (С)

Выберите дату, с которой начнется выполнение расписания.

Till (До)

При необходимости укажите конечную дату расписания, по достижении которой выполнение прекратится.

Run at (Начать в)

Выберите время выполнения расписания. Будет ли время обрабатываться в локальном формате консоли или в формате UTC вы сможете указать в Мастере создания задачи резервного копирования.

Repeat each (Повторять каждый)

Выберите периодичность выполнения в днях или неделях, и при необходимости укажите дни недели месяц.

Schedule wizard - Specifying time-dependent options

<< Предыдущий шаг

Следующий шаг >>


Выполнение операции

На этом шаге мастера можно проверить значения всех заданных на предыдущих шагах опций и создать расписание с помощью кнопки Finish.

Schedule wizard - Performing operation

<< Предыдущий шаг


Выполнение задач

Управлять запланированными задачами и отслеживать их статус можно из основного окна программы.

Monitoring tasks from the main window

Из контекстного меню вы можете приостановить (Pause) выполнение задачи или снова возобновить его (Play).

Если расписание было повреждено или удалено из планировщика в ОС, его можно восстановить в системе с помощью пункта Repair.

Tasks - Repair

Смотрите также:

Мастер создания задач резервного копирования


Журнал резервного копирования

В журнале отображается детальная информация о процессе создания резервной копии. Открыть его можно из главного окна программы, выбрав пункт Открыть журнал (Show log) в контекстном меню истории запусков.

Для автоматической прокрутки данных журнала включите опцию checkbox Автоматическая прокрутка содержимого (Scroll content automatically).

Включить или отключить отображение сообщений об ошибках, предупреждений и информационных сообщений можно при помощи соответствующих кнопок:Show errors, Show warnings, Show infos.

Backup log editor

При нажатой кнопке Фильтр для отображения записей будет применен фильтр по дате и/или текстовый фильтр.

Backup log - Filter

Осуществлять инкрементный текстовый поиск можно с помощью строки поиска в верхней части окна.

Backup log - Search

Кнопка Скопировать в буфер обмена (Copy to Clipboard) позволяет скопировать весь или выбранный текст.


Получение файла бэкапа

Вы можете скачать любой файл резервной копии из истории запусков. Для этого выберете задачу, ниже выберите необходимый запуск и используйте в контекстном меню пункт Get Backup.

Getting backup from history _ popup menu

File name

Имя загружаемого файла.

Path

Расположение загружаемого файла.

Getting backup dialog

checkbox Notify about operation completion

При включенной опции на экран будут выводиться уведомления о завершении загрузки файла.


Быстрое восстановление БД

Для быстрого восстановления БД выберите необходимый запуск, к состоянию которого необходимо привести БД, и нажмите Quick Restore в контекстном меню запуска.

NB: Данная операция необратима и ее нельзя будет откатить. БД будет приведена к выбранному состоянию после нажатия ОК.

Quick restore dialog

Database name (Имя базы данных)

Выберите имя БД, которую необходимо восстановить.


Резервные хранилища

В данном разделе вы можете управлять резервными хранилищами: создавать новые, редактировать уже созданные, удалять их и просматривать список созданных фалов бэкапа для каждого хранилища.

Backup targets tab

По умолчанию в программе доступно локальное хранилище DefaultLocalStorage, которое сохраняет файлы в папку C:\Users\<user_name>\Documents\EMS Backup for PostgreSQL\Backups.

Резеревные хранилища необходимо создать до создания запланированных задач резервного копирования. Обратите внимание, что для задачи вы можете указать несколько резервных хранилищ, и итоговый файл бэкапа будет скопирован в каждое из них.

Смотрите также:

Мастер регистрации резервных хранилищ

Редактор резервных хранилищ


Мастер регистрации резервных хранилищ

Мастер предназначен для пошаговой регстрации резервного хранилища в программе и настройки доступа. Запустить мастер можно на вкладке Backup targets Backup storages (Резервные хранилища), выбрав пункт addtarget Register backup storage (Регистрация резервного хранилища) из контекстного меню.

Popup menu - Backup storage

Шаги мастера

Выбор типа хранилища

Указание имени

Настройка SMB/CIFS

Настройка FTP

Настройка SFTP

Настройка Amazon S3

Настройка Microsoft Azure

Настройка Dropbox

Настройка Google Drive

Выполнение операции

Смотрите также:

Редактор резервных хранилищ


Выбор типа хранилища

На первом шаге нобходимо выбрать тип резервного хранилища.

Backup target wizard - Step1

Вы можете выбрать один из следующих вариантов:

selected radio button SMB или CIFS

selected radio button FTP

selected radio button SFTP

selected radio button Amazon S3

selected radio button Microsoft Azure

selected radio button Dropbox

selected radio button Google Drive

NB: Облачные хранилища Amazon S3 и Microsoft Azure доступны только в PRO версии. Хранилище SFTP доступно только в обычной и PRO версиях. Посомтреть различия версия можно здесь.

Следующий шаг >>


Указание имени

Укажите имя и описание резервного хранилища.

Name (Имя)

Введите имя хранилища.

Description (Описание)

При необходимости введите описание хранилища.

Backup storage wizard - Specifying backup storage name

<< Предыдущий шаг

Следующий шаг >>


Настройка SMB/CIFS

На этом шаге задайте настройки подключения SMB/CIFS.

Path

Задайте путь к директории на локальном или удаленном компьютере, в которой будут храниться файлы бэкапа. Нажмите кнопку для открытия диалога обзора папок. Путь к сетевой папке должен быть задан в формате UNC.

checkbox Use Windows authentication (Использовать авторизацию Windows)

Опция позволяет установить соединение с именем и паролем, соответствующим текущей учетной записи домена Windows, или же заполните поля Login (Логин) и Password (Пароль). Проверьте, что указанный пользователь имеет права на запись в выбранную директорию.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к папке с заданными параметрами.

<< Предыдущий шаг

Следующий шаг >>


Настройка FTP

На этом шаге задайте настройки подключения к FTP.

Host (Адрес)

Задайте имя сервера FTP или его IP-адрес.

Port (Порт)

Укажите порт, по которому осуществляется соединение.

Path (Путь)

Задайте имя папки на FTP сервере, в которую будут загружаться копии файлов бэкапов. Если указанная директория не существует на сервере, то она будет создана перед загрузкой файла.

checkbox Login anonymously (Входить анонимно)

Включите опцию для анонимного входа на FTP или заполните поля Login (Логин) и Password (Пароль). Проверьте, что указанный пользователь имеет права на запись в выбранную директорию.

Timeout (Таймаут)

Задайте время ожидания (в секундах) при подключении к FTP серверу.

Protocol (Протокол)

С помощью выпадающего списка Вы можете задать способ шифрования соединения с удаленным сервером:

  • FTP (Standard)
  • FTPS (Implicit SSL/TLS)
  • FTPS (Explicit SSL/TLS)

Mode (Режим)

С помощью этого выпадающего списка Вы можете изменить режим подключения к FTP серверу:

  • Passive (PASV)
  • Active (PORT)

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к выбранной папке с заданными параметрами.

<< Предыдущий шаг

Следующий шаг >>


Настройка SFTP

На этом шаге задайте настройки подключения к SFTP (Secure File Transfer Protocol).

Host (Адрес)

Задайте имя сервера SFTP или его IP-адрес.

Port (Порт)

Укажите порт, по которому осуществляется соединение.

Path (Путь)

Задайте имя папки на SFTP сервере, в которую будут загружаться копии файлов бэкапов. Если указанная директория не существует на сервере, то она будет создана перед загрузкой файла.

Backup target wizard - SFTP

Login (Логин)

Введите имя пользователя для SFTP.

Password (Пароль)

Введите пароль для указанного пользователя.

Timeout (Таймаут)

Задайте время ожидания (в секундах) при подключении к SFTP серверу.

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к выбранной папке с заданными параметрами.

<< Предыдущий шаг

Следующий шаг >>


Настройка Amazon S3

На этом шаге задайте настройки подключения к Amazon S3.

Bucket name (Имя корзины)

Задайте имя корзины, которое будет использоваться для хранения файлов бэкапов. Создать корзину (bucket) можно на сайте Amazon. Если указанное хранилище не существует, то оно будет автоматически создано. Имя хранилища должно быть уникальным среди всех хранилищ на Amazon.

Path (Путь)

Если Вы хотите хранить файлы бэкапов в папке, то в этом поле задайте путь к этой папке в указанном хранилище. Если указанной папки не существует в хранилище, то она будет создана автоматически при загрузке файла. Используйте '/' в качестве разделителя пути (например: 'backups/Adventure Works').

Backup target wizard - Amazon S3 settings

Access key (Ключ доступа)

Введите ключ доступа, который можно найти на странице Security Credentials вашего аккаунта Amazon Web Services.

Secret key (Секретный ключ)

Введите секретный ключ, который можно найти на странице Security Credentials вашего аккаунта Amazon Web Services.

Storage class (Класс хранилища)

Из выпадающего списка выберите класс хранения загружаемых файлов бэкапов: Standard или Reduced Redundancy.

Timeout (Таймаут)

Задайте время ожидания (в секундах) при подключении к Amazon S3.

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к выбранной папке с заданными параметрами.

<< Предыдущий шаг

Следующий шаг >>


Настройка Microsoft Azure

На этом шаге задайте настройки подключения к хранилищу Microsoft Azure.

Account name (Имя учетной записи)

Введите имя учетной записи хранилища Microsoft Azure. Имя учетной записи образует поддомен URL адреса BLOB-объекта.

Account key (Ключ учетной записи)

Введите ключ доступа к учетной записи. Может быть использован как первичный, так и вторичный ключ.

Container name (Имя контейнера)

Каждый BLOB-объект в хранилище Azure располагается в контейнере. Из выпадающего списка можно выбрать один из существующих контейнеров. Или же вы можете ввести имя нового контейнера, удовлетворяющего требованиям именования.

Get containers (Получить контейнеры)

При нажатии этой кнопки список контейнеров загружается автоматически.

Backup target wizard - Ms Azure settings

Timeout (Таймаут)

Задайте время ожидания (в секундах) для подключения к Microsoft Azure.

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения с заданными параметрами.

<< Предыдущий шаг

Следующий шаг >>


Настройка Dropbox

На этом шаге задайте настройки подключения к Dropbox.

Path (Путь)

EMS SQL Backup по умолчанию загружает файлы в папку 'Apps/EMS SQL Backup' на Dropbox. Если Вы хотите хранить файлы бэкапов в подпапке этой папки, то в этом поле задайте путь к этой подпапке. Если указанной папки не существует в хранилище, то она будет создана автоматически при загрузке файла. Используйте '/' в качестве разделителя пути (например: 'backups/Adventure Works', в этом случае файлы будут загружены в 'Apps/EMS SQL Backup/backups/Adventure Works').

Authorization token (Токен авторизации)

Введите токен авторизации или запросите его с помощью кнопки acquiretoken Acquire authorization token (Получить токен авторизации).

Backup target wizard - Dropbox settings

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к Dropbox с заданными параметрами.

<< Предыдущий шаг

Следующий шаг >>


Настройка Google Drive

На этом шаге задайте настройки подключения к Google Drive.

Path (Путь)

EMS SQL Backup по умолчанию загружает файлы в папку 'Apps/EMS SQL Backup' на Dropbox. Если Вы хотите хранить файлы бэкапов в подпапке этой папки, то в этом поле задайте путь к этой подпапке. Если указанной папки не существует в хранилище, то она будет создана автоматически при загрузке файла. Используйте '/' в качестве разделителя пути (например: 'backups/Adventure Works', в этом случае файлы будут загружены в 'Apps/EMS SQL Backup/backups/Adventure Works').

Authorization token (Токен авторизации)

Введите токен авторизации или запросите его с помощью кнопки acquiretoken Acquire authorization token (Получить токен авторизации).

Backup target wizard - Google drive settings

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения с заданными параметрами.

<< Предыдущий шаг

Следующий шаг >>


Выполнение операции

На этом шаге мастера можно проверить значения всех заданных на предыдущих шагах опций и создать резервное хранилище с помощью кнопки Finish.

Backup target wizard - Performing operation


Редактор резервных хранилищ

В редакторе резервных хранилищ вы можете просматривать информацию о зарегистрированных хранилищах и редактировать ее. Открыть редактор можно на вкладке Backup targets Backup storages через контекстное меню выбранного хранилища.

Popup menu - Backup Storage Registration Info

На вкладке General (Общие) отображается имя хранилища и его описание.

Backup storage editor - General tab

На вкладке Storage отображается информация о подключении к выбранному хранилищу:

Настройка SMB/CIFS

Настройка FTP

Настройка SFTP

Настройка Amazon S3

Настройка Microsoft Azure

Настройка Dropbox

Настройка Google drive

Смотрите также:

Мастер регистрации резервных хранилищ


Настройка SMB/CIFS

На этой вкладке вы можете редактировать настройки подключения к SMB/CIFS.

Backup storage editor -SMB

Path

Задайте путь к директории на локальном или удаленном компьютере, в которой будут храниться файлы бэкапа. Нажмите кнопку для открытия диалога обзора папок. Путь к сетевой папке должен быть задан в формате UNC.

checkbox Use Windows authentication (Использовать авторизацию Windows)

Опция позволяет установить соединение с именем и паролем, соответствующим текущей учетной записи домена Windows, или же заполните поля Login (Логин) и Password (Пароль). Проверьте, что указанный пользователь имеет права на запись в выбранную директорию.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к папке с заданными параметрами.


Настройка FTP

На этой вкладке вы можете редактировать настройки подключения к FTP.

Host (Адрес)

Имя сервера FTP или его IP-адрес.

Port (Порт)

Порт, по которому осуществляется соединение.

Path (Путь)

Имя папки на FTP сервере, в которую будут загружаться копии файлов бэкапов. Если указанная директория не существует на сервере, то она будет создана перед загрузкой файла.

Backup storage editor -FTP

checkbox Login anonymously (Входить анонимно)

Включите опцию для анонимного входа на FTP или заполните поля Login (Логин) и Password (Пароль). Проверьте, что указанный пользователь имеет права на запись в выбранную директорию.

Timeout (Таймаут)

Время ожидания (в секундах) при подключении к FTP-серверу.

Protocol (Протокол)

С помощью выпадающего списка Вы можете задать способ шифрования соединения с удаленным сервером:

  • FTP (Standard)
  • FTPS (Implicit SSL/TLS)
  • FTPS (Explicit SSL/TLS)

Mode (Режим)

С помощью этого выпадающего списка Вы можете изменить режим подключения к FTP серверу:

  • Passive (PASV)
  • Active (PORT)

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к выбранной папке с заданными параметрами.


Настройка SFTP

На этой вкладке вы можете редактировать настройки подключения к SFTP.

Host (Адрес)

Имя сервера SFTP или его IP-адрес.

Port (Порт)

Порт, по которому осуществляется соединение.

Path (Путь)

Имя папки на SFTP сервере, в которую будут загружаться копии файлов бэкапов. Если указанная директория не существует на сервере, то она будет создана перед загрузкой файла.

Backup storage editor -SFTP

Login (Логин)

Имя пользователя для доступа к SFTP.

Password (Пароль)

Пароль для указанного пользователя.

Timeout (Таймаут)

Время ожидания (в секундах) при подключении к SFTP-серверу.

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к выбранной папке с заданными параметрами.


Настройка Amazon S3

На этой вкладке вы можете редактировать настройки подключения к Amazon S3.

Bucket name (Имя корзины)

Имя корзины, которое будет использоваться для хранения файлов бэкапов. Создать корзину (bucket) можно на сайте Amazon. Если указанное хранилище не существует, то оно будет автоматически создано. Имя хранилища должно быть уникальным среди всех хранилищ на Amazon.

Path (Путь)

Если Вы хотите хранить файлы бэкапов в папке, то в этом поле задайте путь к этой папке в указанном хранилище. Если указанной папки не существует в хранилище, то она будет создана автоматически при загрузке файла. Используйте '/' в качестве разделителя пути (например: 'backups/Adventure Works').

Backup storage editor -Amazon S3

Access key (Ключ доступа)

Введите ключ доступа, который можно найти на странице Security Credentials вашего аккаунта Amazon Web Services.

Secret key (Секретный ключ)

Введите секретный ключ, который можно найти на странице Security Credentials вашего аккаунта Amazon Web Services.

Storage class (Класс хранилища)

Из выпадающего списка выберите класс хранения загружаемых файлов бэкапов: Standard или Reduced Redundancy.

Timeout (Таймаут)

Задайте время ожидания (в секундах) при подключении к Amazon S3.

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к выбранной папке с заданными параметрами.


Настройка Microsoft Azure

На этой вкладке вы можете редактировать настройки подключения к Microsoft Azure.

Account name (Имя учетной записи)

Введите имя учетной записи хранилища Microsoft Azure. Имя учетной записи образует поддомен URL адреса BLOB-объекта.

Account key (Ключ учетной записи)

Введите ключ доступа к учетной записи. Может быть использован как первичный, так и вторичный ключ.

Container name (Имя контейнера)

Каждый BLOB-объект в хранилище Azure располагается в контейнере. Из выпадающего списка можно выбрать один из существующих контейнеров. Или же вы можете ввести имя нового контейнера, удовлетворяющего требованиям именования.

Get containers (Получить контейнеры)

При нажатии этой кнопки список контейнеров загружается автоматически.

Backup storage editor -MS Azure

Timeout (Таймаут)

Задайте время ожидания (в секундах) для подключения к Microsoft Azure.

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения с заданными параметрами.


Настройка Dropbox

На этой вкладке вы можете редактировать настройки подключения к Dropbox.

Path (Путь)

EMS SQL Backup по умолчанию загружает файлы в папку 'Apps/EMS SQL Backup' на Dropbox. Если Вы хотите хранить файлы бэкапов в подпапке этой папки, то в этом поле задайте путь к этой подпапке. Если указанной папки не существует в хранилище, то она будет создана автоматически при загрузке файла. Используйте '/' в качестве разделителя пути (например: 'backups/Adventure Works', в этом случае файлы будут загружены в 'Apps/EMS SQL Backup/backups/Adventure Works').

Authorization token (Токен авторизации)

Введите токен авторизации или запросите его с помощью кнопки acquiretoken Acquire authorization token (Получить токен авторизации).

Backup storage editor -Dropbox

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к Dropbox с заданными параметрами.


Настройка Google Drive

На этой вкладке вы можете редактировать настройки подключения к Google Drive.

Path (Путь)

EMS SQL Backup по умолчанию загружает файлы в папку 'Apps/EMS SQL Backup' на Dropbox. Если Вы хотите хранить файлы бэкапов в подпапке этой папки, то в этом поле задайте путь к этой подпапке. Если указанной папки не существует в хранилище, то она будет создана автоматически при загрузке файла. Используйте '/' в качестве разделителя пути (например: 'backups/Adventure Works', в этом случае файлы будут загружены в 'Apps/EMS SQL Backup/backups/Adventure Works').

Authorization token (Токен авторизации)

Введите токен авторизации или запросите его с помощью кнопки acquiretoken Acquire authorization token (Получить токен авторизации).

Backup storage editor -Google Drive

checkbox Connect using proxy server (Соединяться через прокси-сервер)

Соединиться с настройками прокси-сервера.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения с заданными параметрами.


Загрузка файлов

Вы можете загрузить файл резервной копии из хранилища. Для этого передите на вкладку Backup storages, выберите хранилище и файл и нажмите в контекстном меню пункт Download file(s).

Path

Путь к папке, в которую будет загружен файл резервной копии.

checkbox Notify about download completion

При включении опции на экране появится сообщение после завершения загрузки файла.


Управление восстановлением БД

Для выбора резервной копии и простого восстановления базы данных воспользуйтесь Мастером восстановления баз данных (Database restore wizard) в контекстном меню проводника на вкладке Backup tasks Backup tasks (Задачи резервного копирования)

Restore database - backup tasks popup menu

и в контекстном меню резервной копии на вкладке Backup targets Backup storages (Резервные хранилища).

Restore database - backup storages popup menu

ВАЖНО: Эти мастеры доступны только в Standard и PRO версиях.

Смотрите также:

Мастер восстановления выбранной базы данных

Мастер восстановления из выбранной резервной копии


Мастер восстановления выбранной базы данных

Мастер предназначен для восстановления базы данных из резервной копии. Запустить мастер можно из контекстного меню базы данных Restore database (Восстановить базу данных).

Шаги мастера:

Выбор резервной копии

Настройки опций для архивов в бинарном формате

Настройки опций для plain-text резервных копий

Выполнение операции

Журнал выполнения


Выбор резервной копии

На этом шаге необходимо выбрать хранилище и резервную копию из которой будет восстановлена база данных.

Storage (Хранилище)

Выберите хранилище в котором находится резервная копия.

Backup file (Резервная копия)

Укажите файл резервной копии.

Restore database - backup tasks - database selecting

Следующий шаг >>


Настройки опций восстановления

При восстановлении баз данных из резервных копий можно использовать опции, соответствующие бинарному или plain-text форматам.

Настройки опций для бинарного формата резервных копий

Настройки опций для plain-text резервных копий

<< Предыдущий шаг

Следующий шаг >>


Для бинарного формата резервных копий

На этом шаге следует указать необходимые опции связанные с процедурой восстановления базы данных из архива бинарного формате резервной копии.

Creator role name (Роль создателя)

Укажите имя роли, которая будет осуществлять восстановление.

Number of jobs (Число потоков выгрузки)

Выберите количество выполняющихся параллельно потоков.

Use single transactions (Использовать одну транзакцию)

Опция применяется для выполнения восстановления базы данных в одну транзакцию.

Exit on error (Выйти при ошибке)

Если включена эта опция, программа прекратит восстановление базы данных при возникновении ошибки.

Clean schema (Очистить схему)

Удалить (DROP) объекты схемы, прежде чем пересоздавать их.

Add IF EXISTS (Добавлять IF EXISTS)

При удалении объектов базы использовать условные команды IF EXISTS.

Restore database - procedure options 2

<< Предыдущий шаг

Следующий шаг >>


Для plain-text резервных копий

Форма выбора опций связанных с восстановлением базы данных из резервной копии plain-text формата.

Use single transactions (Использовать одну транзакцию)

Опция применяется для выполнения восстановления базы данных в одну транзакцию.

Exit on error (Выйти при ошибке)

Если включена эта опция, программа прекратит восстановление базы данных при возникновении ошибки.

Quiet mode (Тихий режим)

Указывает, что программа должна работать без вывода дополнительных сообщений.

Echo errors (Выводить ошибки)

Печатает все команды SQL с ошибками в стандартный вывод.

Restore database - procedure options 1

<< Предыдущий шаг

Следующий шаг >>


Выполнение операции

На этом шаге мастера можно проверить значения всех заданных на предыдущих шагах опций и запустить процесс кнопкой Run.

Restore database - info

<< Предыдущий шаг

Следующий шаг >>


Журнал выполнения

На этом шаге отображается процесс восстановления базы данных. При необходимости вы можете скопировать текст журнала в буфер обмена кнопкой Copy to Clipboard.

Для автоматической прокрутки данных журнала включите опцию checkbox Автоматическая прокрутка содержимого (Scroll content automatically).

Включить или отключить отображение сообщений об ошибках, предупреждений и информационных сообщений можно при помощи соответствующих кнопок:Show errors, Show warnings, Show infos.

Restore database - result log

При нажатой кнопке Фильтр для отображения записей будет применен фильтр по дате и/или текстовый фильтр.

Backup log - Filter

Осуществлять инкрементный текстовый поиск можно с помощью строки поиска в верхней части окна.

Backup log - Search

Кнопка Скопировать в буфер обмена (Copy to Clipboard) позволяет скопировать весь или выбранный текст.

<< Предыдущий шаг


Мастер восстановления из выбранной резервной копии

Мастер предназначен для восстановления базы данных из резервной копии. запустить мастер можно из контекстного меню резервной копии Restore from file (Восстановить из файла).

Шаги мастера:

Выбор базы данных

Настройки опций для архивов в бинарном формате

Настройки опций для plain-text резервных копий

Выполнение операции

Журнал выполнения


Выбор базы данных

На этом шаге необходимо выбрать базу данных, в которую будет восстановлена резервная копия.

Server

Выберите сервер, на котором расположена БД для восстановления.

Database to restore

Existing database

Выберите существующую БД.

New database

Введите имя для новой БД, в которую будет происходить восстановление.

Restore database - backup storages - database selecting

Следующий шаг >>


Настройки опций восстановления

При восстановлении баз данных из резервных копий можно использовать опции, соответствующие бинарному или текстовому форматам.

Настройки опций для бинарного формата резервных копий

Настройки опций для plain-text резервных копий

<< Предыдущий шаг

Следующий шаг >>


Options

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Настройки

В этой главе содержится информация о настройке приложения: язык программы, визуальная схема, настройки прокси и почтового сервера.

Доступ к настройкам можно получить в меню, которое открывается при нажатии кнопки menu "гамбургер" в правом верхнем углу и выборе пункта settings Options (Настройки).

Смотрите также:

Общие настройки

Прокси-сервер

Почтовый сервер


General

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Общие настройки

На этой вкладке вы можете настроить язык программы, цветовую схему и параметры обновления серверов.

Language (Язык)

Выберите локализацию для приложения. Если данный пункт отсутствует, переустановите программу, выбрав на третьем шаге инсталлятора установку Custom или Complete. В этом случае будет установлен полный пакет локализаций.

Application theme (Визуальная тема приложения)

Выберите цветовую схему программы: Light (Светлая) или Dark (Темная).

Refresh servers every (Интервал обновления сервера)

Задайте интервал обновления серверов в секундах.

Refresh tasks every (Интервал обновления задач)

Укажите интервал обновления задач в секундах.

Refresh files every (Интервал обновления файлов)

Укажите интервал обновления файлов в секундах.

Смотрите также:

Прокси-сервер

Почтовый сервер


Прокси-сервер

На этой вкладке задаются параметры подключения к прокси сереверу. Они будут использоваться для подключения к серверу, проверки обновлений, доступа к резервным хранилищам и для управления лицензией.

Proxy server (Прокси-сервер)

Выберите подходящее значение для прокси-сервера:

Detect settings automatically (Определять настройки автоматически)

I have a direct connection to the Internet (У меня прямое подключение к Интернету)

Manual configuration (Ручные настройки)

Если вы выбрали ручную настройку, и включили checkbox Use authentication (Включить аутентификацию), то введите имя прокси-сервера (Host), порт (Port), имя пользователя (Login) и пароль (Password).

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к прокси-серверу с заданными параметрами.

Смотрите также:

Общие настройки

Почтовый сервер


Почтовый сервер

На этой вкладке настраиваются параметры подключения к почтовому серверу для отправки уведомлений на электронную почту.

options-outgoing mail server

Account type (Тип аккаунта)

Выберите тип почтового сервера или Custom при использовании собственного почтового сервера.

Host (Адрес)

Введите адрес почтового сервера.

Port (Порт)

Введите значение порта почтового сервера.

checkbox Use SSL for encryption (Использовать SSL для шифрования)

Включите опцию, чтобы шифровать подключение.

Login (Логин)

Введите имя пользователя.

Password (Пароль)

Введите пароль для указанного пользователя.

Sender (Отправитель)

Укажите электронный адрес отправителя уведомлений.

Нажмите кнопку Test connection (Проверка подключения) для проверки подключения к серверу исходящей почты с заданными параметрами.

Смотрите также:

Общие настройки

Прокси-сервер


Управление лицензиями

В мастере управления лицензиями вы можете

  • Активировать стандартную, бесплатную или Pro версию программы;
  • продлить Сопровождение программы;
  • деактивировать текущую лицензию.

Запустить мастер можно из menu меню в правом верхнем углу программы [image] License management (Управление лицензиями).

License management wizard - Menu

Смотрите также:

Покупка

Регистрация


Первая активация лицензии

Активация EMS SQL Backup for PostgreSQL требуется для регистрации лицензии и возможности получить доступ ко всем функциям программы.

Предполагается, что у вас уже есть купленная лицензия. Лицензионный и активационный ключ можно получить в письме о подтверждении покупки или в личном кабинете: https://secure.sqlmanager.net/member/subscribe.

Шаги мастера:

Выбор типа активации

Ввод лицензионного ключа

Активация через сайт

Ввод кода активации

Выполнение операции

Смотрите также:

Покупка


Выбор типа активации

На первом шаге выберите тип активации.

License management wizard - Selecting license activation method

selected radio button Activate license online (Активировать лицензию онлайн)

Выберите эту опцию для быстрой активации, если у вас есть подключение к интернету.

selected radio button Activate license using website (Активировать лицензию вручную)

Если на машине нет доступа в интернет, вы можете активировать лицензию вручную при помощи личного кабинета на нашейм сайте.

ВАЖНО: Лицензию на бесплатную версию возможно активировать только онлайн.

Следующий шаг при выборе онлайн активации.

Следующий шаг при выборе ручной активации.


Ввод лицензионного ключа

На этом шаге необходимо выбрать тип лицензии.

License management wizard - Online activation process

selected radio button Free license (Бесплатная лицензия)

Активация бесплатной лицензии.

selected radio button License key (Лицензионный ключ)

Введите или скопируйте лицензионный ключ из письма о покупке или из личного кабинета на нашей сайте https://secure.sqlmanager.net/login.

Ознакомиться с различиями различных редакций программы можно здесь.

Нажмите Run (Готово) для запуска активации.

<< Предыдущий шаг

Следующий шаг >>


Активация через сайт

Этот шаг появляется только в том случае, если была выбрана онлайн-активация selected radio button Activate license online на первом шаге.

License management wizard - Website activation

Для выполнения такого типа активации необходимо:

  1. Зарегистрироваться на сайте в разделе Личный кабинет https://secure.sqlmanager.net/login.
  2. Перейти в раздел My Registered Products.
  3. Раскрыть список ключей для необходимого продукта.
  4. Выбрать действие Activate License.
  5. Скопируйте значение Instance ID. Скопировать идентификационный номер в буфер обмена можно, нажав кнопку Copy to clipboard.
  6. Вставьте скопированный текст в окно на вебсайте и сгенерируйте код активации.
  7. Скопируйте сгенерированный код активации.
  8. На следующем шаге вставьте скопированный код в поле License Activation Code.
  9. Нажмите кнопку Run, чтобы завершить процесс активации лицензии.

<< Предыдущий шаг

Следующий шаг >>


Ввод кода активации

На этом шаге необходимо ввести ключ активации, который доступен в личном кабинете https://secure.sqlmanager.net/login.

License management wizard - Manual activation process

Нажмте Run для завершения процесса активации.

<< Предыдущий шаг

Следующий шаг >>


Выполнение операции

На этом шаге мастера отображаются сообщения о процессе активации и результат.

License management wizard - Completing operation

Для закрытия мастера нажмите кнопку Close или Copy to Clipboard для копирования журнала в буфер обмена.


License deactivation

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Управление текущей лицензией

Если продукт уже активирован, то в Мастере управления лцензиями вы можете:

  • Активировать другую лицензию;
  • Продлить Сопровождение программы;
  • Деактивировать лицензию при необходимости перенести ее на другую машину.

Шаги мастера

Выбор операции

Деактивация через сайт

Выполнение деактивации онлайн

Выполнение деактивации через личный кабинет

Смотрите также:

Покупка

Регистрация


Licence deactivation

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Выбор операции

На первом шаге выберите необходимую операцию.

License management wizard - Selecting deactivation method

selected radio button Activate license online (Активировать лицензию онлайн)

Выберите эту опцию для быстрой активации, если у вас есть подключение к интернету.

selected radio button Renew maintenance using website (Обновить лицензию вручную)

После покупки продления Сопровождения, вам необходимо активировать программу и ввести новый ключ активации.

selected radio button Deactivate license online (Деактивировать лицензию онлайн)

Быстро декативировать лицензию.

selected radio button Deactivate license using website (Деактивировать с помощью учетной записи)

Деактивировать лицензию про ограничении Интернет-соединения. Для деактивации понадобится информация из личного кабинета на нашем сайте.

При выборе некоторых пунктов необходимо включить опцию CheckBox Yes, I understand that License Key will be deactivated now (Я понимаю, что текущий лицензионный ключ буде деактивирован).


Деактивация через сайт

Этот шаг повляется в случае выбора пунка selected radio button Deactivate license using website (Деактивировать лицензию вручную) на первом шаге мастера.

License management wizard - Deactivation manual

Для выполнения такого типа деактивации необходимо:

  1. Зарегистрироваться на сайте в разделе Личный кабинет https://secure.sqlmanager.net/login.
  2. Перейти в раздел My Registered Products.
  3. Раскрыть список ключей для необходимого продукта.
  4. Выбрать действие Deactivate License.
  5. Нажмите Run на текущем шаге мастера в программе.
  6. На следующем шаге скопируйте код деактивации нажав кнопку Copy deactivation code.
  7. В открывшееся окно на сайте вставьте код деактивации и нажмите кнопку Deactivate.
  8. Нажмите кнопку Finish на последнем шаге мастера, чтобы завершить процесс деактивации лицензии.

Выполнение деактивации через личный кабинет


Выполнение деактивации онлайн

Этот шаг отображается только в том случае, если на первом шаге мастера был выбран пункт selected radio button Deactivate license online (Деактивировать лицензию онлайн).

License management wizard - Deactivation completing operation

После завершения процесса деактивации нажмите Close для выхода из мастера. При необходимости используйте Copy to Clipboard для копирования журнала в буфер обмена.


Выполнение деактивации через личный кабинет

Этот шаг информирует о выполнении процесса деактивации.

License management wizard - Deactivation manual completing operation

После завершения процесса нажмите кнопку Copy deactivation code чтобы скопировать код деактивации и вставить его в соотвествующее окошко на сайте.

Нажмите Close для выхода из мастера.


Задание шаблона имени

В данном окне вы можете задать фильтр по имени. Вы можете использовать шаблоны подстановки.

add object name pattern


Добавление получателя уведомления

Вы можете задать адреса для отправки уведомлений в Редакторе задач или в Мастере создания задачи. Активируйте опцию отправки уведомлений на почту и нажмите кнопку Добавить. В открывшемся диалоговом окне введите электронный адрес получателя.

Task editor - Notifications - Add recipient


Начало работы

That's how the program looks when you first start it:

The application has two main tabs:

Backup tasks Backup tasks

It displays the list of registered servers in the left section to manage servers and run backups and tasks overview to monitor backup tasks and start/stop/pause them.

Backup targets Backup storages

This tab stores all storages created for backups. You can create new or edit existing storage, which will be used to store backup files. We would recommend to create backup storages before creating tasks.

menu Options

From this menu you can change program language and color schema, manage program licenses and check for updates.

To start working with the program

1. Register the server(s) with Register server ... link on the left panel.

2. Create backup storage(s) that will be used to backup files on the Backup targets Backup storages tab.

3. Create new backup task from the server popup menu or run the backup process manually.

See also:

FAQ

Register server wizard


Select servers for the task

At this step select the servers to apply the task to.

<< Предыдущий шаг

Следующий шаг >>


EMS SQL Backup for PostgreSQL
  • Index

Selection

Enter topic text here.


Install EMS SQL Backup

EMS SQL Backup for PostgreSQL
  • Index

Install EMS SQL Backup for PostgreSQL

EMS SQL Backup for PostgreSQL consists of two core units: SQL Administration Console and Server-side components. So to perform a full installation and start working with SQL Server in EMS SQL Backup for PostgreSQL Console you need:

  1. Install EMS SQL Backup for PostgreSQL Administration Console.
  2. Register server using the Register Server Wizard. To launch it use the btnRegisterHost Register Server context menu item of the Server Explorer.
  3. Connect to the server using the btnConnectToDB Connect item of its context menu.
  4. After server registration you need to install server-side components. To launch the Install server-side EMS SQL Backup for PostgreSQL components use the Install server-side EMS SQL Backup for PostgreSQL Components server context menu item.


Install server-side components without having permissions for remote installation

If you do not have permissions for a remote installation of server-side components using Install server-side EMS SQL Backup for PostgreSQL components you can install them locally on the server using the Stand-alone remote components Installer.

In order to perform server-side components installation locally on the server do the following:

  1. copy EMS SQL Backup for PostgreSQL setup file to the server machine.
  2. launch the EMS SQL Backup for PostgreSQL setup wizard and choose the Server-side only mode on the third step.
  3. after the EMS SQL Backup for PostgreSQL Setup wizard is finished the Stand-alone remote components Installer is launched automatically.
  4. follow the Шаги мастера of the wizard in compliance with Stand-alone remote components Installer topic.

Note: The EMS SQL Backup for PostgreSQL setup wizard installs EMS SQL Backup for PostgreSQL Service Installer application (InstallWizard.exe)which allows installing, updating and removing server-side components locally on a server.


Activate license on SQL Server instance

License activation for SQL Server instance is performed by means of License activation wizard. Use the Activate license server context menu item to launch this wizard.

There are four methods of activating license on SQL Server instance:

  • online activation;
  • web-site activation;
  • manual re-activation.

Online activation

  1. On the first step of the wizard select the RadioButton Activate EMS SQL Backup for PostgreSQL License online option.
  2. On the second step of the wizard enter License Key. It can be copied from the Members Area or from the e-mail that is received after license purchasing.
  3. On the last step click the Finish button to complete the activation.

Web-site activation

  1. On the first step of the wizard select the RadioButton Activate EMS SQL Backup for PostgreSQL License through our website option.
  2. Register in the Members Area at https://secure.sqlmanager.net/login and open My Registered Products section.
  3. Expand key list for desired product and choose the Activate License action.
  4. Enter automatically generated SQL Server instance ID on the second step into a web form and generate the activation code.
  5. Copy the generated activation code in the License Activation Code field on the third step.
  6. On the last step click the Finish button to complete the activation.

Renew maintenance manually

This option is available if the license key is already activated for prolonging maintenance.

  1. On the first step of the wizard select the RadioButton Enter existing license activation code manually option.
  2. On the second step enter License Activation Code.
  3. On the last step click the Finish button to complete the activation.


Schedule backup database task daily

If you want a backup database task to be executed daily you need to create a policy with a Backup Database step and a schedule with appropriate parameters.

In order to do this perform the following operations:

  1. choose the database in the server explorer and select the Policy Maintenance Policies | CreatePolicy Create New Policy item of its context menu;
  2. on the second step of policy wizard select the Шаги мастера section and click the Add Add button;
  3. in the Select Step dialog select the RadioButton Backup Database item;
  4. in the Backup Database step wizard opened configure backup settings; after all wizard Шаги мастера completion the Backup Database step appears in the Шаги мастера list;
  5. select the Schedules section and click the Add Add button;
  6. in the opened Schedule editor set the following parameters:
  • Schedule type - RadioButton Recurring from date,
  • Occurs - Daily,
  • Recurs every - 1 day,
  • Daily frequency - RadioButton Occurs once at,
  • Occurs once at - launch time for backup database task execution;

then press the OK button

  7. complete all Шаги мастера of the policy wizard.


Create a policy based on predefined templates

There is a set of predefined policies, tasks, Шаги мастера and schedules in EMS SQL Backup for PostgreSQL that can be used for rapid maintenance policy creation.

All predefined templates with descriptions can be found on the Templates tab.

In order to add a predefined task to a policy you need to proceed to the second step of the Policy wizard, select the Tasks section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed task template.

In order to add a predefined step to a task in a policy you need to proceed to the second step of the Policy wizard, select the Шаги мастера section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed step template.

In order to add a predefined schedule to a task in a policy you need to proceed to the second step of the Policy wizard, select the Schedules section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed schedule template.


Configure transaction log shipping

To configure transaction log shipping from one server to another you need to create a policy with a Transaction Log Shipping step.

On the second step of the Transaction Log Shipping wizard you need to set pairs of databases for transaction log shipping. The destination database must be the restored copy of the source database and be in Restoring state. Otherwise use the Overwrite (to rewrite database) or Create new options.

On the third step of the wizard specify the directory on the source server for storing transaction log backups of the source database. Also, set backup parameters.

On the fourth step you need to set the backup shared folder (Network shared folder) for copying transaction log backups of the source database. Backup files will be transferred to the directory set in the Destination folder field. Both source and destination servers should have access to this folder otherwise log shipping cannot be performed.

If you are creating or overwriting a database then after Transaction Log Shipping wizard completion the full source database backup copy is created on a destination server. The destination database is in the restoring state. Transaction log shipping will be performed according to the schedule set in the service task.

Note: On the first step of the policy with Transaction Log Shipping step you need to set RadioButton Use local Console time as absolute time option.


Monitor server productivity counters

Using the Database Parameters Logger maintenance operation you can monitor database parameters and receive notifications when their values do not match specified conditions.

To receive warnings about possible faults you need to include Database Parameters Logger step in a policy. Also you can execute this maintenance action by selecting [image] Quick Maintenance Actions | ServerParametersLogger Database Parameters Logger context menu item of a server or a database.

In case a status of a policy including Database Parameters Logger step changed to Warning after policy execution that means some databases parameters values do not match conditions set on the third step of Database Parameters Logger wizard. To view these parameters and their values select this step in the Launches list and click the Show details button. The information in the dialog appeared will contain a detailed report on step execution result.


Add database/server to an existing policy

There are several ways to add databases or servers to a policy. The way chosen depends on whether the policy was created on a solution or not and on tasks and Шаги мастера count in a policy.

A policy was created on a solution with databases/servers

  1. If a policy includes a big number of tasks (Шаги мастера) then do the following:
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • add needed databases/servers to the existing solution;
  • create policy on a renewed solution based on the created template by choosing the Policy Maintenance Policies | CopyFromTemplate Create from Templates of the solution context menu item.
  2. If a policy includes several tasks (Шаги мастера) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.

A policy was created on separate databases/servers

  1. If a policy includes a big number of tasks (Шаги мастера) then it is recommended to do the following:
  • unite databases/servers from this policy into a solution and then add needed databases/servers to it;
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a policy based on this template on the created solution by using the Policy Maintenance Policies | CopyFromTemplate Create from Templates solution context menu item.
  2. If a policy includes several tasks (Шаги мастера) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.


Create a policy rapidly on several servers/databases

The most efficient way to create a policy rapidly on several servers/databases is to create it on a solution that unites these servers/databases.

In order to create a policy rapidly on several servers or databases perform the following operations:

  1. create a solution by selecting iconNewSubFolder Create Solution context menu item of Solutions section;
  2. move needed databases/servers to this solution;

Note: One solution cannot include both databases and servers.

  3. Select the Policy Maintenance Policies | CopyFromTemplate Create New Policy solution context menu item to create a new policy. All databases/servers will be checked automatically in creating Шаги мастера in this policy.


Transfer policy tasks to another set of databases/servers

There are several ways to transfer policy tasks from one set of databases/servers to another. The way chosen depends on whether the policy was created on a solution or not and on tasks and Шаги мастера count in a policy.

A policy was created on a solution with databases/servers

  1. If a policy includes a big number of tasks (Шаги мастера) then do the following:
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a new solution and add needed databases/servers to it;
  • create policy on this solution based on the created template by choosing the Policy Maintenance Policies | CopyFromTemplate Create from Templates of the solution context menu item.
  2. If a policy includes several tasks (Шаги мастера) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.

A policy was created on separate databases/servers

  1. If a policy includes a big number of tasks (Шаги мастера) then it is recommended to do the following:
  • unite databases/servers on which you want to transfer policy into a solution;
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a policy based on this template on the created solution by using the Policy Maintenance Policies | CopyFromTemplate Create from Templates solution context menu item.
  2. If a policy includes several tasks (Шаги мастера) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.


Reveal a reason of a failed policy execution

If a server has at least one policy with status Failed then the server status contains Policies have problems message.

To reveal a policy with erroneous execution you need to find a policy with a Failed status in the Policies list. This status means that at least one policy task execution was erroneous.

When you select this policy task in the Policies list the Launches list shows information on all task launches. Select a task with a Failed status and click the Show details button in the Message column. In the dialog appeared the reason of failed execution will be displayed in the Message field

If the problem occurred on policy execution has been resolved you can restore succeeding policy status.


Restore successful policy status

If you have revealed a reason of why a policy did not run or failed after execution you can repair its overall status that means to change erroneous policy statuses (Failed, Missed, Aborted and Warning) to Ignored and repeat erroneous tasks if needed. This can be done on several ways.

  • Click the Resolve button located under the server status. In the dialog appeared all problem tasks of all policies will be listed. You can change erroneous status to Ignored and/or execute all problem tasks of all policies. In this case overall status of every policy will be changed based on last launches of erroneous tasks.
  • Select the erroneous policy in the Policies list and then choose the Resolve the Problem item of its context menu. In the opened dialog you will be proposed to change statuses of all erroneous policy tasks to Ignored and/or execute all problem tasks of this policy. In this case overall status of this policy will be changed based on last launches of its erroneous tasks.
  • Select the erroneous policy task in the Policies list and then choose the Resolve the Problem item of its context menu. In the opened dialog you will be proposed to change status of this erroneous policy task to Ignored and/or repeat its execution. In this case overall status of this policy will be changed based on a last launch of this erroneous task.

Using a context menu of an erroneous task in the Launches list you can change to Ignored (Ignore Errors for Selected Launches) its status or statuses of all erroneous tasks (Ignore Errors for All Problem Launches).


Convert SQL Server maintenance plan to SQL Backup policy

EMS SQL Backup for PostgreSQL
  • Index

Convert SQL Server maintenance plan to EMS SQL Backup for PostgreSQL policy

Configured SQL Server maintenance plans can be used in EMS SQL Backup for PostgreSQL after their conversion to EMS SQL Backup for PostgreSQL policies.

To convert SQL Server maintenance plan to EMS SQL Backup for PostgreSQL policy perform the following operations:

  1. Select the Policy Maintenance Policies | ConvertfromMaintenanceplan Convert from Maintenance Plan server context menu item to launch Maintenance plan conversion wizard.
  2. On the second step of the wizard select the maintenance plan for conversion.
  3. On the third step of the wizard you can view conversion results. Maintenance plan subplans are converted to policy service tasks. In case some mistakes occurred on maintenance plan conversion you can correct them in the policy editor that is launched by clicking the Edit Policy button.
  4. It is recommended to check the CheckBox Disable Maintenance plan option to disable tasks execution in maintenance plan being converted.
  5. On the last step view conversion settings and click the Finish button. Created policy appears in the list on the Policies tab.


Manage templates effectively

Using the templates tool of EMS SQL Backup for PostgreSQL you can create saved into EMS SQL Backup for PostgreSQL configuration policies, tasks, Шаги мастера and schedules settings.

In order to create a template proceed to the Templates tab and choose an object type (policy, task, step or schedule) which template you want to create. Then click the Add button located on the toolbar or in the context menu.

If you already have a configured policy on a group of databases or servers you can create its template. In order to do this proceed to the Policies tab and select the CreateTemplateFromPolicy Create Template from Policy its context menu item.

Also you can create templates of existing tasks, Шаги мастера and schedules. To do this you need to:

  • open the policy including these objects in the policy editor;
  • select the CopyToTemplate Copy to Templates context menu item of the object which template you want to create.

All saved templates can be later used for creating policies.

In order to create a policy based on a template you need to select the CopyFromTemplate Create Policy from Template context menu item of a policies list on the Policies tab. In the Item Selection dialog choose the needed template (or several templates). The policy editor will be opened. All tasks included in the template will be automatically added to the policy being created.

In order to create a task/step/schedule based on a template in a policy use the AddNewFromTemplate Add New from Template context menu item or the toolbar corresponding button on the second step of the policy wizard. The added object can be opened in its editor afterwards to change some parameters if needed.

Templates tab contains a list of all predefined templates as well as templates created by user. You can save a template into *.xml file by selecting the ExportTemplate Export its context menu item. Also you can load saved templates using the ImportTemplate Import button. This ability allows copying templates from one EMS SQL Backup for PostgreSQL configuration to another.

Смотрите также:

Create a policy based on predefined templates


Configure policy notifications

You can configure notifications that will inform you about policy execution result via e-mail.

Notification parameters are set on the third step of the policy wizard.

You need to set an action on which notifications should be sent:

  • When the policy succeeds - send the message when policy tasks have been successfully completed;
  • When the policy fails - send the message when policy has failed;
  • When the policy completes - send the message when policy has been launched.

In the Send E-mail To field enter the e-mail address of the administrator that should receive messages generated on policy execution.

SQL Server Agent must be configured to use Database Mail for sending e-mail.

Note: Email agent options should be set for the service at Server-side components Properties.


Create a report on policy execution

Using the reports tool you can view information on policy tasks execution that is displayed in the Launches section as well as save reports to files of different formats and send them via email.

To generate a report on task execution you need to click the Reports Report button on the toolbar of the Launches section or select the Reports Show Report context menu item of a task.

There are three types of reports:

  • Single-server report
  • Multi-server report
  • Detailed task report

Single-server report

This report can be viewed when a single server is selected in the explorer and a policy deployed on this server is selected in the Policies area. If a policy deployed on several servers is selected in Policies area a report will include information on launches of this policy only on the selected server. The report displays brief information on tasks of the selected policy including task name, planned start, time started, time finished and task status.

Multi-server report

Multi-server report is available when a policy deployed on multiple servers is selected in the Policies area. Besides, a group or a solution must be selected in the Servers area. The report displays brief information on tasks of the selected policy including task name, server name, planned start, time started, time finished and task status.

Detailed task report

Task report is available when a particular task is selected in the Policies area. This report displays a detailed information on a task and its Шаги мастера of the selected policy including task name, planned start, time started, time finished, task/step status and execution message (information, warning or error).


Ensure simultaneous policy execution on servers from different time zones

To ensure simultaneous policy tasks launches on servers located in different time zones you need to select the RadioButton Use local Console time as absolute time option on the first step of the policy wizard.

In this case a policy will be executed on all servers at the time corresponding to the local EMS SQL Backup for PostgreSQL Console taking into consideration time zones where servers are located.


Update EMS SQL Backup

EMS SQL Backup for PostgreSQL
  • Index

Update EMS SQL Backup for PostgreSQL

EMS SQL Backup for PostgreSQL update process consists of EMS SQL Backup for PostgreSQL Administration Console and Server-side components update.

In order to update EMS SQL Backup for PostgreSQL Administration Console, please, do the following:

  • download the full installation package of EMS SQL Backup for PostgreSQL from the download page available at our site;
  • close EMS SQL Backup for PostgreSQL application if it is running;
  • repeat the Шаги мастера you have made for the first-time installation;
  • run EMS SQL Backup for PostgreSQL using its shortcut in the corresponding group of Windows Start menu.

After EMS SQL Backup for PostgreSQL Administration Console is launched you will be warned that server-side components version is out-of-date. You will be offered to update server-side components. This is done by means of Update/Remove server-side EMS SQL Backup for PostgreSQL components.

If you do not have permissions for remote update of server-side components via EMS SQL Backup for PostgreSQL Administration Console you can copy EMS SQL Backup for PostgreSQL setup file to the server machine and run installation there. Server-side components update process locally on a server is similar to their installation process and is performed by means of Stand-alone remote components Installer. To update server components you need to select the CheckBox Update option and then select instances on which you want to update components.


Remove EMS SQL Backup

EMS SQL Backup for PostgreSQL
  • Index

Remove EMS SQL Backup for PostgreSQL

In order to remove EMS SQL Backup for PostgreSQL perform the following operations:

  1. Remove server-side components from all servers they were installed. This is done by means of Update/Remove server-side EMS SQL Backup for PostgreSQL components that is launched by selecting the Update/Remove server-side EMS SQL Backup for PostgreSQL components server context menu item.
  2. Remove EMS SQL Backup for PostgreSQL Administration Console from your computer via Control Panel -> Programs and Features.

Note: If you do not have permissions for remote of server-side components uninstall via EMS SQL Backup for PostgreSQL Administration Console you can copy EMS SQL Backup for PostgreSQL setup file to the server machine and run installation there. Server-side components remove process locally on a server is similar to their installation process and is performed by means of Stand-alone remote components Installer. To remove server components you need to select the RadioButton Uninstall option on the Selecting operation type step.


Report bugs and suggestions

If you want to report a bug occurred in the application or just provide some feedback you can do it directly from the EMS SQL Backup for PostgreSQL. Before reporting bugs and suggestions make sure you are using the latest version of the EMS SQL Backup for PostgreSQL.

To create an e-mail with attached bug report files automatically do the following:

  1. select the server on which the problem occurred in the Servers tree;
  2. choose the Send bug report to EMS its context menu item;
  3. after a while the default mail client installed on your computer will be opened with newly created letter having bug report files attached to it;
  4. in the generated e-mail describe the Шаги мастера to reproduce the occurred bug and send the letter.

If due to some reasons the e-mail creation failed or the report sending was cancelled the following dialog appears.

Follow the given instructions to create bug report e-mail manually:

  1. click the "mailto:" link sqlangelreports@sqlmanager.net to open mail client, or in case no client has been opened copy the address by clicking the Copy to clipboard button and create e-mail in a preferable client;
  2. click the Save and open folder button and define the directory where the bug report file should be saved; after the file is saved the defined directory will be opened automatically;
  3. attach the saved file to the created e-mail;
  4. describe the Шаги мастера to reproduce the occurred bug and send the letter.


Use Free version of EMS SQL Backup

In order to use EMS SQL Backup Free version you need to activate the Free license key. Note that for activating Free license you need Internet connection.

  1. Open the License activation wizard from the SQL Server instance context menu.
  2. On the first step of the wizard select the RadioButton Activate EMS SQL Backup for PostgreSQL License online option.
  3. On the second step of the wizard select the RadioButton Free option as a License type.
  4. Complete the wizard Шаги мастера.

The list of all functional differences between EMS SQL Backup versions can be found in the Feature Matrix.


Setup uploading backup files to different storage locations (Network folders/FTP/SFTP/Clouds)

EMS SQL Backup for PostgreSQL provides the possibility to save backup files not only in the standard backup folder but also upload their copies to different external storages.

If you want to configure uploading of backup files to different storages perform the following actions.

  1. Open the Options dialog and proceed to the Cloud Connections tab.
  2. Click the Create new connection button and select the connection type in the opened dialog: SMB/CIFS, FTP, Amazon S3 Cloud, Secure FTP, Microsoft Azure.
  3. Depending on the type selected the relevant dialog for configuring connection properties appears.
  4. After all connection properties are set click the OK button. The specified connection appears in the list of Cloud connections.
  5. After that on configuring backup operation proceed to the Specifying cloud connections step of the wizard and click the Add existing connection button.
  6. Select the connection from the list. You can add as many connections as you need.